package com.unitconversion;

import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	private static final boolean fullScreen = false;
	private static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "com.unitconversion", "main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                anywheresoftware.b4a.keywords.Common.Log("Killing previous instance (main).");
				p.finish();
			}
		}
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
		activityBA = new BA(this, layout, processBA, "com.unitconversion", "main");
        processBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        initializeProcessGlobals();		
        initializeGlobals();
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (mostCurrent == null || mostCurrent != this)
			return;
        processBA.setActivityPaused(false);
        anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
		return true;
	}
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyDown(keyCode, event);
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public anywheresoftware.b4a.objects.SpinnerWrapper _spconversionmeasurements = null;
public anywheresoftware.b4a.objects.SpinnerWrapper _spconversionunits = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtconversionnumber = null;
public static double _lbtn1 = 0;
public static double _lbtn2 = 0;
public static double _lbtn3 = 0;
public static double _lbtn4 = 0;
public static double _lbtn5 = 0;
public static double _lbtn6 = 0;
public static double _lbtn7 = 0;
public static double _lbtn8 = 0;
public static double _lbtn9 = 0;
public static double _lbtn10 = 0;
public static double _lbtn11 = 0;
public static double _lbtn12 = 0;
public static double _lbtn13 = 0;
public static double _lbtn14 = 0;
public static double _lbtn15 = 0;
public static double _lbtn16 = 0;
public static double _lconvbuffer = 0;
public anywheresoftware.b4a.keywords.LayoutValues _layoutval = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btnconversionplusminus = null;
public anywheresoftware.b4a.objects.ListViewWrapper _lvconversionresults = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblconversion = null;
public static String  _activity_create(boolean _firsttime) throws Exception{
 //BA.debugLineNum = 24;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 25;BA.debugLine="If FirstTime Then";
if (_firsttime) { 
 //BA.debugLineNum = 26;BA.debugLine="layoutval = GetDeviceLayoutValues";
mostCurrent._layoutval = anywheresoftware.b4a.keywords.Common.GetDeviceLayoutValues(mostCurrent.activityBA);
 //BA.debugLineNum = 27;BA.debugLine="If layoutval.Width >= 400 Then";
if (mostCurrent._layoutval.Width>=(int)(400)) { 
 //BA.debugLineNum = 28;BA.debugLine="Activity.LoadLayout(\"conv\")";
mostCurrent._activity.LoadLayout("conv",mostCurrent.activityBA);
 }else {
 //BA.debugLineNum = 30;BA.debugLine="Activity.LoadLayout(\"small_conv\")";
mostCurrent._activity.LoadLayout("small_conv",mostCurrent.activityBA);
 };
 //BA.debugLineNum = 32;BA.debugLine="arrange_conversion_view";
_arrange_conversion_view();
 //BA.debugLineNum = 33;BA.debugLine="txtConversionNumber.InputType = txtConversionNumber.INPUT_TYPE_PHONE";
mostCurrent._txtconversionnumber.setInputType(mostCurrent._txtconversionnumber.INPUT_TYPE_PHONE);
 //BA.debugLineNum = 34;BA.debugLine="txtConversionNumber.ForceDoneButton = True";
mostCurrent._txtconversionnumber.setForceDoneButton(anywheresoftware.b4a.keywords.Common.True);
 };
 //BA.debugLineNum = 36;BA.debugLine="End Sub";
return "";
}
public static boolean  _activity_keypress(int _keycode) throws Exception{
 //BA.debugLineNum = 49;BA.debugLine="Sub Activity_KeyPress (KeyCode As Int) As Boolean";
 //BA.debugLineNum = 50;BA.debugLine="If KeyCode = 4 Then ExitApplication";
if (_keycode==(int)(4)) { 
anywheresoftware.b4a.keywords.Common.ExitApplication();};
 //BA.debugLineNum = 51;BA.debugLine="End Sub";
return false;
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 40;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 42;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 //BA.debugLineNum = 37;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 39;BA.debugLine="End Sub";
return "";
}
public static String  _arrange_conversion_view() throws Exception{
 //BA.debugLineNum = 978;BA.debugLine="Sub arrange_conversion_view";
 //BA.debugLineNum = 980;BA.debugLine="spconversionUnits.Add(\"Length\")";
mostCurrent._spconversionunits.Add("Length");
 //BA.debugLineNum = 981;BA.debugLine="spconversionUnits.Add(\"Weight\")";
mostCurrent._spconversionunits.Add("Weight");
 //BA.debugLineNum = 982;BA.debugLine="spconversionUnits.Add(\"Temperature\")";
mostCurrent._spconversionunits.Add("Temperature");
 //BA.debugLineNum = 983;BA.debugLine="spconversionUnits.Add(\"Volume\")";
mostCurrent._spconversionunits.Add("Volume");
 //BA.debugLineNum = 984;BA.debugLine="spconversionUnits.Add(\"Area\")";
mostCurrent._spconversionunits.Add("Area");
 //BA.debugLineNum = 985;BA.debugLine="spconversionUnits.Add(\"Angles\")";
mostCurrent._spconversionunits.Add("Angles");
 //BA.debugLineNum = 986;BA.debugLine="spconversionUnits.Add(\"Speed\")";
mostCurrent._spconversionunits.Add("Speed");
 //BA.debugLineNum = 987;BA.debugLine="spconversionUnits.Add(\"Energy\")";
mostCurrent._spconversionunits.Add("Energy");
 //BA.debugLineNum = 988;BA.debugLine="spconversionUnits.Add(\"Flow\")";
mostCurrent._spconversionunits.Add("Flow");
 //BA.debugLineNum = 989;BA.debugLine="spconversionUnits.SelectedIndex = 0";
mostCurrent._spconversionunits.setSelectedIndex((int)(0));
 //BA.debugLineNum = 990;BA.debugLine="lblConversion.Left = 0";
mostCurrent._lblconversion.setLeft((int)(0));
 //BA.debugLineNum = 991;BA.debugLine="lblConversion.Width = 100%x";
mostCurrent._lblconversion.setWidth(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(100),mostCurrent.activityBA));
 //BA.debugLineNum = 992;BA.debugLine="lblConversion.Top = 150dip";
mostCurrent._lblconversion.setTop(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(150)));
 //BA.debugLineNum = 993;BA.debugLine="lvConversionResults.Left = 0";
mostCurrent._lvconversionresults.setLeft((int)(0));
 //BA.debugLineNum = 994;BA.debugLine="lvConversionResults.Width = 100%x";
mostCurrent._lvconversionresults.setWidth(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(100),mostCurrent.activityBA));
 //BA.debugLineNum = 995;BA.debugLine="lvConversionResults.Top = lblConversion.Top + lblConversion.Height";
mostCurrent._lvconversionresults.setTop((int)(mostCurrent._lblconversion.getTop()+mostCurrent._lblconversion.getHeight()));
 //BA.debugLineNum = 996;BA.debugLine="lvConversionResults.Height = 100%y - 190dip";
mostCurrent._lvconversionresults.setHeight((int)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(100),mostCurrent.activityBA)-anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(190))));
 //BA.debugLineNum = 997;BA.debugLine="load_MeasureSpinner ' load 2nd spinner";
_load_measurespinner();
 //BA.debugLineNum = 998;BA.debugLine="Load_lvConversionResults";
_load_lvconversionresults();
 //BA.debugLineNum = 999;BA.debugLine="Return";
if (true) return "";
 //BA.debugLineNum = 1000;BA.debugLine="End Sub";
return "";
}
public static String  _btnconversionplusminus_click() throws Exception{
String _pline = "";
 //BA.debugLineNum = 74;BA.debugLine="Sub btnConversionPlusMinus_Click";
 //BA.debugLineNum = 75;BA.debugLine="Dim pline As String";
_pline = "";
 //BA.debugLineNum = 77;BA.debugLine="If txtConversionnumber.Text = \"\" Then Return";
if ((mostCurrent._txtconversionnumber.getText()).equals("")) { 
if (true) return "";};
 //BA.debugLineNum = 78;BA.debugLine="pline = txtConversionnumber.Text";
_pline = mostCurrent._txtconversionnumber.getText();
 //BA.debugLineNum = 79;BA.debugLine="If pline.StartsWith(\"-\") Then";
if (_pline.startsWith("-")) { 
 //BA.debugLineNum = 80;BA.debugLine="txtConversionnumber.Text = pline.SubString2(1, pline.Length)";
mostCurrent._txtconversionnumber.setText((Object)(_pline.substring((int)(1),_pline.length())));
 }else {
 //BA.debugLineNum = 82;BA.debugLine="txtConversionnumber.Text = \"-\" & txtConversionnumber.Text";
mostCurrent._txtconversionnumber.setText((Object)("-"+mostCurrent._txtconversionnumber.getText()));
 };
 //BA.debugLineNum = 84;BA.debugLine="End Sub";
return "";
}
public static String  _calc_formulas() throws Exception{
double _lresults1 = 0;
double _lresults2 = 0;
double _lresults3 = 0;
double _lresults4 = 0;
double _lresults5 = 0;
double _lresults6 = 0;
double _lresults7 = 0;
double _lresults8 = 0;
double _lresults9 = 0;
double _lresults10 = 0;
double _lresults11 = 0;
double _lresults12 = 0;
double _lresults13 = 0;
double _lresults14 = 0;
double _lresults15 = 0;
double _lresults16 = 0;
 //BA.debugLineNum = 224;BA.debugLine="Sub Calc_Formulas";
 //BA.debugLineNum = 225;BA.debugLine="Dim lResults1,lResults2,lResults3,lResults4,lResults5,lResults6,lResults7,lResults8 As Double";
_lresults1 = 0;
_lresults2 = 0;
_lresults3 = 0;
_lresults4 = 0;
_lresults5 = 0;
_lresults6 = 0;
_lresults7 = 0;
_lresults8 = 0;
 //BA.debugLineNum = 226;BA.debugLine="Dim lResults9,lResults10,lResults11,lResults12,lResults13,lResults14,lResults15,lResults16 As Double";
_lresults9 = 0;
_lresults10 = 0;
_lresults11 = 0;
_lresults12 = 0;
_lresults13 = 0;
_lresults14 = 0;
_lresults15 = 0;
_lresults16 = 0;
 //BA.debugLineNum = 228;BA.debugLine="If txtConversionNumber.Text = \"\" Then Return";
if ((mostCurrent._txtconversionnumber.getText()).equals("")) { 
if (true) return "";};
 //BA.debugLineNum = 229;BA.debugLine="lvConversionResults.Clear";
mostCurrent._lvconversionresults.Clear();
 //BA.debugLineNum = 231;BA.debugLine="If spConversionUnits.SelectedIndex = 2 Then ' temp conversion";
if (mostCurrent._spconversionunits.getSelectedIndex()==(int)(2)) { 
 //BA.debugLineNum = 232;BA.debugLine="If spConversionMeasurements.SelectedIndex = 0 Then ' converting Fahrenheit";
if (mostCurrent._spconversionmeasurements.getSelectedIndex()==(int)(0)) { 
 //BA.debugLineNum = 233;BA.debugLine="lResults1 = lConvbuffer";
_lresults1 = _lconvbuffer;
 //BA.debugLineNum = 234;BA.debugLine="lResults2 = ((lConvbuffer - 32)*.555555555556)";
_lresults2 = ((_lconvbuffer-32)*.555555555556);
 //BA.debugLineNum = 235;BA.debugLine="lResults3 = (lConvbuffer + 459.67)";
_lresults3 = (_lconvbuffer+459.67);
 //BA.debugLineNum = 236;BA.debugLine="lResults4 = ((lConvbuffer - 32)/2.25)";
_lresults4 = ((_lconvbuffer-32)/(double)2.25);
 //BA.debugLineNum = 237;BA.debugLine="lResults5 = (((lConvbuffer - 32)*.555555555556)+273.15)";
_lresults5 = (((_lconvbuffer-32)*.555555555556)+273.15);
 };
 //BA.debugLineNum = 240;BA.debugLine="If spConversionMeasurements.SelectedIndex = 1 Then ' converting celsius";
if (mostCurrent._spconversionmeasurements.getSelectedIndex()==(int)(1)) { 
 //BA.debugLineNum = 241;BA.debugLine="lResults1 = ((lConvbuffer * 1.8)+32)";
_lresults1 = ((_lconvbuffer*1.8)+32);
 //BA.debugLineNum = 242;BA.debugLine="lResults2 = lConvbuffer";
_lresults2 = _lconvbuffer;
 //BA.debugLineNum = 243;BA.debugLine="lResults3 = ((lConvbuffer * 1.8)+ 491.67)";
_lresults3 = ((_lconvbuffer*1.8)+491.67);
 //BA.debugLineNum = 244;BA.debugLine="lResults4 = (lConvbuffer / 1.25)";
_lresults4 = (_lconvbuffer/(double)1.25);
 //BA.debugLineNum = 245;BA.debugLine="lResults5 = (lConvbuffer + 273.15)";
_lresults5 = (_lconvbuffer+273.15);
 };
 //BA.debugLineNum = 248;BA.debugLine="If spConversionMeasurements.SelectedIndex = 2 Then ' converting Rankine";
if (mostCurrent._spconversionmeasurements.getSelectedIndex()==(int)(2)) { 
 //BA.debugLineNum = 249;BA.debugLine="lResults1= (lConvbuffer - 459.67)";
_lresults1 = (_lconvbuffer-459.67);
 //BA.debugLineNum = 250;BA.debugLine="lResults2 = ((lConvbuffer * 0.555555555556) - 273.15)";
_lresults2 = ((_lconvbuffer*0.555555555556)-273.15);
 //BA.debugLineNum = 251;BA.debugLine="lResults3 = lConvbuffer";
_lresults3 = _lconvbuffer;
 //BA.debugLineNum = 252;BA.debugLine="lResults4 = ((lConvbuffer - 491.67) / 2.25)";
_lresults4 = ((_lconvbuffer-491.67)/(double)2.25);
 //BA.debugLineNum = 253;BA.debugLine="lResults5 = (lConvbuffer * 0.555555555556)";
_lresults5 = (_lconvbuffer*0.555555555556);
 };
 //BA.debugLineNum = 256;BA.debugLine="If spConversionMeasurements.SelectedIndex = 3 Then ' converting Reaumur";
if (mostCurrent._spconversionmeasurements.getSelectedIndex()==(int)(3)) { 
 //BA.debugLineNum = 257;BA.debugLine="lResults1= ((lConvbuffer * 2.25) + 32)";
_lresults1 = ((_lconvbuffer*2.25)+32);
 //BA.debugLineNum = 258;BA.debugLine="lResults2 = (lConvbuffer * 1.25)";
_lresults2 = (_lconvbuffer*1.25);
 //BA.debugLineNum = 259;BA.debugLine="lResults3 = (((lConvbuffer * 2.25) + 32) + 459.67)";
_lresults3 = (((_lconvbuffer*2.25)+32)+459.67);
 //BA.debugLineNum = 260;BA.debugLine="lResults4 = lConvbuffer";
_lresults4 = _lconvbuffer;
 //BA.debugLineNum = 261;BA.debugLine="lResults5 = ((lConvbuffer * 1.25) + 273.15)";
_lresults5 = ((_lconvbuffer*1.25)+273.15);
 };
 //BA.debugLineNum = 264;BA.debugLine="If spConversionMeasurements.SelectedIndex = 4 Then ' converting kelvin";
if (mostCurrent._spconversionmeasurements.getSelectedIndex()==(int)(4)) { 
 //BA.debugLineNum = 265;BA.debugLine="lResults1= (((lConvbuffer - 273.15) * 1.8) + 32)";
_lresults1 = (((_lconvbuffer-273.15)*1.8)+32);
 //BA.debugLineNum = 266;BA.debugLine="lResults2 = (lConvbuffer - 273.15)";
_lresults2 = (_lconvbuffer-273.15);
 //BA.debugLineNum = 267;BA.debugLine="lResults3 = (lConvbuffer * 1.8)";
_lresults3 = (_lconvbuffer*1.8);
 //BA.debugLineNum = 268;BA.debugLine="lResults4 = ((lConvbuffer - 273.15) / 1.25)";
_lresults4 = ((_lconvbuffer-273.15)/(double)1.25);
 //BA.debugLineNum = 269;BA.debugLine="lResults5 = lConvbuffer";
_lresults5 = _lconvbuffer;
 };
 //BA.debugLineNum = 271;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults1,0,2) & \"  - fahrenheit\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults1,(int)(0),(int)(2))+"  - fahrenheit");
 //BA.debugLineNum = 272;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults2,0,2) & \"  - celsius\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults2,(int)(0),(int)(2))+"  - celsius");
 //BA.debugLineNum = 273;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults3,0,2) & \"  - Rankine\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults3,(int)(0),(int)(2))+"  - Rankine");
 //BA.debugLineNum = 274;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults4,0,2) & \"  - Reaumur\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults4,(int)(0),(int)(2))+"  - Reaumur");
 //BA.debugLineNum = 275;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults5,0,2) & \"  - kelvin\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults5,(int)(0),(int)(2))+"  - kelvin");
 //BA.debugLineNum = 276;BA.debugLine="Return";
if (true) return "";
 }else {
 //BA.debugLineNum = 278;BA.debugLine="If spConversionMeasurements.SelectedIndex = 0 Then";
if (mostCurrent._spconversionmeasurements.getSelectedIndex()==(int)(0)) { 
 //BA.debugLineNum = 279;BA.debugLine="lResults1 = ((lBtn1/lBtn1)*lConvbuffer)";
_lresults1 = ((_lbtn1/(double)_lbtn1)*_lconvbuffer);
 //BA.debugLineNum = 280;BA.debugLine="lResults2 = ((lBtn2/lBtn1)*lConvbuffer)";
_lresults2 = ((_lbtn2/(double)_lbtn1)*_lconvbuffer);
 //BA.debugLineNum = 281;BA.debugLine="lResults3 = ((lBtn3/lBtn1)*lConvbuffer)";
_lresults3 = ((_lbtn3/(double)_lbtn1)*_lconvbuffer);
 //BA.debugLineNum = 282;BA.debugLine="lResults4 = ((lBtn4/lBtn1)*lConvbuffer)";
_lresults4 = ((_lbtn4/(double)_lbtn1)*_lconvbuffer);
 //BA.debugLineNum = 283;BA.debugLine="lResults5 = ((lBtn5/lBtn1)*lConvbuffer)";
_lresults5 = ((_lbtn5/(double)_lbtn1)*_lconvbuffer);
 //BA.debugLineNum = 284;BA.debugLine="lResults6 = ((lBtn6/lBtn1)*lConvbuffer)";
_lresults6 = ((_lbtn6/(double)_lbtn1)*_lconvbuffer);
 //BA.debugLineNum = 285;BA.debugLine="lResults7 = ((lBtn7/lBtn1)*lConvbuffer)";
_lresults7 = ((_lbtn7/(double)_lbtn1)*_lconvbuffer);
 //BA.debugLineNum = 286;BA.debugLine="lResults8 = ((lBtn8/lBtn1)*lConvbuffer)";
_lresults8 = ((_lbtn8/(double)_lbtn1)*_lconvbuffer);
 //BA.debugLineNum = 287;BA.debugLine="lResults9 = ((lBtn9/lBtn1)*lConvbuffer)";
_lresults9 = ((_lbtn9/(double)_lbtn1)*_lconvbuffer);
 //BA.debugLineNum = 288;BA.debugLine="lResults10 = ((lBtn10/lBtn1)*lConvbuffer)";
_lresults10 = ((_lbtn10/(double)_lbtn1)*_lconvbuffer);
 //BA.debugLineNum = 289;BA.debugLine="lResults11 = ((lBtn11/lBtn1)*lConvbuffer)";
_lresults11 = ((_lbtn11/(double)_lbtn1)*_lconvbuffer);
 //BA.debugLineNum = 290;BA.debugLine="lResults12 = ((lBtn12/lBtn1)*lConvbuffer)";
_lresults12 = ((_lbtn12/(double)_lbtn1)*_lconvbuffer);
 //BA.debugLineNum = 291;BA.debugLine="lResults13 = ((lBtn13/lBtn1)*lConvbuffer)";
_lresults13 = ((_lbtn13/(double)_lbtn1)*_lconvbuffer);
 //BA.debugLineNum = 292;BA.debugLine="lResults14 = ((lBtn14/lBtn1)*lConvbuffer)";
_lresults14 = ((_lbtn14/(double)_lbtn1)*_lconvbuffer);
 //BA.debugLineNum = 293;BA.debugLine="lResults15 = ((lBtn15/lBtn1)*lConvbuffer)";
_lresults15 = ((_lbtn15/(double)_lbtn1)*_lconvbuffer);
 //BA.debugLineNum = 294;BA.debugLine="lResults16 = ((lBtn16/lBtn1)*lConvbuffer)";
_lresults16 = ((_lbtn16/(double)_lbtn1)*_lconvbuffer);
 };
 //BA.debugLineNum = 297;BA.debugLine="If spConversionMeasurements.SelectedIndex = 1 Then";
if (mostCurrent._spconversionmeasurements.getSelectedIndex()==(int)(1)) { 
 //BA.debugLineNum = 298;BA.debugLine="lResults1 = ((lBtn1/lBtn2)*lConvbuffer)";
_lresults1 = ((_lbtn1/(double)_lbtn2)*_lconvbuffer);
 //BA.debugLineNum = 299;BA.debugLine="lResults2 = ((lBtn2/lBtn2)*lConvbuffer)";
_lresults2 = ((_lbtn2/(double)_lbtn2)*_lconvbuffer);
 //BA.debugLineNum = 300;BA.debugLine="lResults3 = ((lBtn3/lBtn2)*lConvbuffer)";
_lresults3 = ((_lbtn3/(double)_lbtn2)*_lconvbuffer);
 //BA.debugLineNum = 301;BA.debugLine="lResults4 = ((lBtn4/lBtn2)*lConvbuffer)";
_lresults4 = ((_lbtn4/(double)_lbtn2)*_lconvbuffer);
 //BA.debugLineNum = 302;BA.debugLine="lResults5 = ((lBtn5/lBtn2)*lConvbuffer)";
_lresults5 = ((_lbtn5/(double)_lbtn2)*_lconvbuffer);
 //BA.debugLineNum = 303;BA.debugLine="lResults6 = ((lBtn6/lBtn2)*lConvbuffer)";
_lresults6 = ((_lbtn6/(double)_lbtn2)*_lconvbuffer);
 //BA.debugLineNum = 304;BA.debugLine="lResults7 = ((lBtn7/lBtn2)*lConvbuffer)";
_lresults7 = ((_lbtn7/(double)_lbtn2)*_lconvbuffer);
 //BA.debugLineNum = 305;BA.debugLine="lResults8 = ((lBtn8/lBtn2)*lConvbuffer)";
_lresults8 = ((_lbtn8/(double)_lbtn2)*_lconvbuffer);
 //BA.debugLineNum = 306;BA.debugLine="lResults9 = ((lBtn9/lBtn2)*lConvbuffer)";
_lresults9 = ((_lbtn9/(double)_lbtn2)*_lconvbuffer);
 //BA.debugLineNum = 307;BA.debugLine="lResults10 = ((lBtn10/lBtn2)*lConvbuffer)";
_lresults10 = ((_lbtn10/(double)_lbtn2)*_lconvbuffer);
 //BA.debugLineNum = 308;BA.debugLine="lResults11 = ((lBtn11/lBtn2)*lConvbuffer)";
_lresults11 = ((_lbtn11/(double)_lbtn2)*_lconvbuffer);
 //BA.debugLineNum = 309;BA.debugLine="lResults12 = ((lBtn12/lBtn2)*lConvbuffer)";
_lresults12 = ((_lbtn12/(double)_lbtn2)*_lconvbuffer);
 //BA.debugLineNum = 310;BA.debugLine="lResults13 = ((lBtn13/lBtn2)*lConvbuffer)";
_lresults13 = ((_lbtn13/(double)_lbtn2)*_lconvbuffer);
 //BA.debugLineNum = 311;BA.debugLine="lResults14 = ((lBtn14/lBtn2)*lConvbuffer)";
_lresults14 = ((_lbtn14/(double)_lbtn2)*_lconvbuffer);
 //BA.debugLineNum = 312;BA.debugLine="lResults15 = ((lBtn15/lBtn2)*lConvbuffer)";
_lresults15 = ((_lbtn15/(double)_lbtn2)*_lconvbuffer);
 //BA.debugLineNum = 313;BA.debugLine="lResults16 = ((lBtn16/lBtn2)*lConvbuffer)";
_lresults16 = ((_lbtn16/(double)_lbtn2)*_lconvbuffer);
 };
 //BA.debugLineNum = 316;BA.debugLine="If spConversionMeasurements.SelectedIndex = 2 Then";
if (mostCurrent._spconversionmeasurements.getSelectedIndex()==(int)(2)) { 
 //BA.debugLineNum = 317;BA.debugLine="lResults1 = ((lBtn1/lBtn3)*lConvbuffer)";
_lresults1 = ((_lbtn1/(double)_lbtn3)*_lconvbuffer);
 //BA.debugLineNum = 318;BA.debugLine="lResults2 = ((lBtn2/lBtn3)*lConvbuffer)";
_lresults2 = ((_lbtn2/(double)_lbtn3)*_lconvbuffer);
 //BA.debugLineNum = 319;BA.debugLine="lResults3 = ((lBtn3/lBtn3)*lConvbuffer)";
_lresults3 = ((_lbtn3/(double)_lbtn3)*_lconvbuffer);
 //BA.debugLineNum = 320;BA.debugLine="lResults4 = ((lBtn4/lBtn3)*lConvbuffer)";
_lresults4 = ((_lbtn4/(double)_lbtn3)*_lconvbuffer);
 //BA.debugLineNum = 321;BA.debugLine="lResults5 = ((lBtn5/lBtn3)*lConvbuffer)";
_lresults5 = ((_lbtn5/(double)_lbtn3)*_lconvbuffer);
 //BA.debugLineNum = 322;BA.debugLine="lResults6 = ((lBtn6/lBtn3)*lConvbuffer)";
_lresults6 = ((_lbtn6/(double)_lbtn3)*_lconvbuffer);
 //BA.debugLineNum = 323;BA.debugLine="lResults7 = ((lBtn7/lBtn3)*lConvbuffer)";
_lresults7 = ((_lbtn7/(double)_lbtn3)*_lconvbuffer);
 //BA.debugLineNum = 324;BA.debugLine="lResults8 = ((lBtn8/lBtn3)*lConvbuffer)";
_lresults8 = ((_lbtn8/(double)_lbtn3)*_lconvbuffer);
 //BA.debugLineNum = 325;BA.debugLine="lResults9 = ((lBtn9/lBtn3)*lConvbuffer)";
_lresults9 = ((_lbtn9/(double)_lbtn3)*_lconvbuffer);
 //BA.debugLineNum = 326;BA.debugLine="lResults10 = ((lBtn10/lBtn3)*lConvbuffer)";
_lresults10 = ((_lbtn10/(double)_lbtn3)*_lconvbuffer);
 //BA.debugLineNum = 327;BA.debugLine="lResults11 = ((lBtn11/lBtn3)*lConvbuffer)";
_lresults11 = ((_lbtn11/(double)_lbtn3)*_lconvbuffer);
 //BA.debugLineNum = 328;BA.debugLine="lResults12 = ((lBtn12/lBtn3)*lConvbuffer)";
_lresults12 = ((_lbtn12/(double)_lbtn3)*_lconvbuffer);
 //BA.debugLineNum = 329;BA.debugLine="lResults13 = ((lBtn13/lBtn3)*lConvbuffer)";
_lresults13 = ((_lbtn13/(double)_lbtn3)*_lconvbuffer);
 //BA.debugLineNum = 330;BA.debugLine="lResults14 = ((lBtn14/lBtn3)*lConvbuffer)";
_lresults14 = ((_lbtn14/(double)_lbtn3)*_lconvbuffer);
 //BA.debugLineNum = 331;BA.debugLine="lResults15 = ((lBtn15/lBtn3)*lConvbuffer)";
_lresults15 = ((_lbtn15/(double)_lbtn3)*_lconvbuffer);
 //BA.debugLineNum = 332;BA.debugLine="lResults16 = ((lBtn16/lBtn3)*lConvbuffer)";
_lresults16 = ((_lbtn16/(double)_lbtn3)*_lconvbuffer);
 };
 //BA.debugLineNum = 335;BA.debugLine="If spConversionMeasurements.SelectedIndex = 3 Then";
if (mostCurrent._spconversionmeasurements.getSelectedIndex()==(int)(3)) { 
 //BA.debugLineNum = 336;BA.debugLine="lResults1 = ((lBtn1/lBtn4)*lConvbuffer)";
_lresults1 = ((_lbtn1/(double)_lbtn4)*_lconvbuffer);
 //BA.debugLineNum = 337;BA.debugLine="lResults2 = ((lBtn2/lBtn4)*lConvbuffer)";
_lresults2 = ((_lbtn2/(double)_lbtn4)*_lconvbuffer);
 //BA.debugLineNum = 338;BA.debugLine="lResults3 = ((lBtn3/lBtn4)*lConvbuffer)";
_lresults3 = ((_lbtn3/(double)_lbtn4)*_lconvbuffer);
 //BA.debugLineNum = 339;BA.debugLine="lResults4 = ((lBtn4/lBtn4)*lConvbuffer)";
_lresults4 = ((_lbtn4/(double)_lbtn4)*_lconvbuffer);
 //BA.debugLineNum = 340;BA.debugLine="lResults5 = ((lBtn5/lBtn4)*lConvbuffer)";
_lresults5 = ((_lbtn5/(double)_lbtn4)*_lconvbuffer);
 //BA.debugLineNum = 341;BA.debugLine="lResults6 = ((lBtn6/lBtn4)*lConvbuffer)";
_lresults6 = ((_lbtn6/(double)_lbtn4)*_lconvbuffer);
 //BA.debugLineNum = 342;BA.debugLine="lResults7 = ((lBtn7/lBtn4)*lConvbuffer)";
_lresults7 = ((_lbtn7/(double)_lbtn4)*_lconvbuffer);
 //BA.debugLineNum = 343;BA.debugLine="lResults8 = ((lBtn8/lBtn4)*lConvbuffer)";
_lresults8 = ((_lbtn8/(double)_lbtn4)*_lconvbuffer);
 //BA.debugLineNum = 344;BA.debugLine="lResults9 = ((lBtn9/lBtn4)*lConvbuffer)";
_lresults9 = ((_lbtn9/(double)_lbtn4)*_lconvbuffer);
 //BA.debugLineNum = 345;BA.debugLine="lResults10 = ((lBtn10/lBtn4)*lConvbuffer)";
_lresults10 = ((_lbtn10/(double)_lbtn4)*_lconvbuffer);
 //BA.debugLineNum = 346;BA.debugLine="lResults11 = ((lBtn11/lBtn4)*lConvbuffer)";
_lresults11 = ((_lbtn11/(double)_lbtn4)*_lconvbuffer);
 //BA.debugLineNum = 347;BA.debugLine="lResults12 = ((lBtn12/lBtn4)*lConvbuffer)";
_lresults12 = ((_lbtn12/(double)_lbtn4)*_lconvbuffer);
 //BA.debugLineNum = 348;BA.debugLine="lResults13 = ((lBtn13/lBtn4)*lConvbuffer)";
_lresults13 = ((_lbtn13/(double)_lbtn4)*_lconvbuffer);
 //BA.debugLineNum = 349;BA.debugLine="lResults14 = ((lBtn14/lBtn4)*lConvbuffer)";
_lresults14 = ((_lbtn14/(double)_lbtn4)*_lconvbuffer);
 //BA.debugLineNum = 350;BA.debugLine="lResults15 = ((lBtn15/lBtn4)*lConvbuffer)";
_lresults15 = ((_lbtn15/(double)_lbtn4)*_lconvbuffer);
 //BA.debugLineNum = 351;BA.debugLine="lResults16 = ((lBtn16/lBtn4)*lConvbuffer)";
_lresults16 = ((_lbtn16/(double)_lbtn4)*_lconvbuffer);
 };
 //BA.debugLineNum = 354;BA.debugLine="If spConversionMeasurements.SelectedIndex = 4 Then";
if (mostCurrent._spconversionmeasurements.getSelectedIndex()==(int)(4)) { 
 //BA.debugLineNum = 355;BA.debugLine="lResults1 = ((lBtn1/lBtn5)*lConvbuffer)";
_lresults1 = ((_lbtn1/(double)_lbtn5)*_lconvbuffer);
 //BA.debugLineNum = 356;BA.debugLine="lResults2 = ((lBtn2/lBtn5)*lConvbuffer)";
_lresults2 = ((_lbtn2/(double)_lbtn5)*_lconvbuffer);
 //BA.debugLineNum = 357;BA.debugLine="lResults3 = ((lBtn3/lBtn5)*lConvbuffer)";
_lresults3 = ((_lbtn3/(double)_lbtn5)*_lconvbuffer);
 //BA.debugLineNum = 358;BA.debugLine="lResults4 = ((lBtn4/lBtn5)*lConvbuffer)";
_lresults4 = ((_lbtn4/(double)_lbtn5)*_lconvbuffer);
 //BA.debugLineNum = 359;BA.debugLine="lResults5 = ((lBtn5/lBtn5)*lConvbuffer)";
_lresults5 = ((_lbtn5/(double)_lbtn5)*_lconvbuffer);
 //BA.debugLineNum = 360;BA.debugLine="lResults6 = ((lBtn6/lBtn5)*lConvbuffer)";
_lresults6 = ((_lbtn6/(double)_lbtn5)*_lconvbuffer);
 //BA.debugLineNum = 361;BA.debugLine="lResults7 = ((lBtn7/lBtn5)*lConvbuffer)";
_lresults7 = ((_lbtn7/(double)_lbtn5)*_lconvbuffer);
 //BA.debugLineNum = 362;BA.debugLine="lResults8 = ((lBtn8/lBtn5)*lConvbuffer)";
_lresults8 = ((_lbtn8/(double)_lbtn5)*_lconvbuffer);
 //BA.debugLineNum = 363;BA.debugLine="lResults9 = ((lBtn9/lBtn5)*lConvbuffer)";
_lresults9 = ((_lbtn9/(double)_lbtn5)*_lconvbuffer);
 //BA.debugLineNum = 364;BA.debugLine="lResults10 = ((lBtn10/lBtn5)*lConvbuffer)";
_lresults10 = ((_lbtn10/(double)_lbtn5)*_lconvbuffer);
 //BA.debugLineNum = 365;BA.debugLine="lResults11 = ((lBtn11/lBtn5)*lConvbuffer)";
_lresults11 = ((_lbtn11/(double)_lbtn5)*_lconvbuffer);
 //BA.debugLineNum = 366;BA.debugLine="lResults12 = ((lBtn12/lBtn5)*lConvbuffer)";
_lresults12 = ((_lbtn12/(double)_lbtn5)*_lconvbuffer);
 //BA.debugLineNum = 367;BA.debugLine="lResults13 = ((lBtn13/lBtn5)*lConvbuffer)";
_lresults13 = ((_lbtn13/(double)_lbtn5)*_lconvbuffer);
 //BA.debugLineNum = 368;BA.debugLine="lResults14 = ((lBtn14/lBtn5)*lConvbuffer)";
_lresults14 = ((_lbtn14/(double)_lbtn5)*_lconvbuffer);
 //BA.debugLineNum = 369;BA.debugLine="lResults15 = ((lBtn15/lBtn5)*lConvbuffer)";
_lresults15 = ((_lbtn15/(double)_lbtn5)*_lconvbuffer);
 //BA.debugLineNum = 370;BA.debugLine="lResults16 = ((lBtn16/lBtn5)*lConvbuffer)";
_lresults16 = ((_lbtn16/(double)_lbtn5)*_lconvbuffer);
 };
 //BA.debugLineNum = 373;BA.debugLine="If spConversionMeasurements.SelectedIndex = 5 Then";
if (mostCurrent._spconversionmeasurements.getSelectedIndex()==(int)(5)) { 
 //BA.debugLineNum = 374;BA.debugLine="lResults1 = ((lBtn1/lBtn6)*lConvbuffer)";
_lresults1 = ((_lbtn1/(double)_lbtn6)*_lconvbuffer);
 //BA.debugLineNum = 375;BA.debugLine="lResults2 = ((lBtn2/lBtn6)*lConvbuffer)";
_lresults2 = ((_lbtn2/(double)_lbtn6)*_lconvbuffer);
 //BA.debugLineNum = 376;BA.debugLine="lResults3 = ((lBtn3/lBtn6)*lConvbuffer)";
_lresults3 = ((_lbtn3/(double)_lbtn6)*_lconvbuffer);
 //BA.debugLineNum = 377;BA.debugLine="lResults4 = ((lBtn4/lBtn6)*lConvbuffer)";
_lresults4 = ((_lbtn4/(double)_lbtn6)*_lconvbuffer);
 //BA.debugLineNum = 378;BA.debugLine="lResults5 = ((lBtn5/lBtn6)*lConvbuffer)";
_lresults5 = ((_lbtn5/(double)_lbtn6)*_lconvbuffer);
 //BA.debugLineNum = 379;BA.debugLine="lResults6 = ((lBtn6/lBtn6)*lConvbuffer)";
_lresults6 = ((_lbtn6/(double)_lbtn6)*_lconvbuffer);
 //BA.debugLineNum = 380;BA.debugLine="lResults7 = ((lBtn7/lBtn6)*lConvbuffer)";
_lresults7 = ((_lbtn7/(double)_lbtn6)*_lconvbuffer);
 //BA.debugLineNum = 381;BA.debugLine="lResults8 = ((lBtn8/lBtn6)*lConvbuffer)";
_lresults8 = ((_lbtn8/(double)_lbtn6)*_lconvbuffer);
 //BA.debugLineNum = 382;BA.debugLine="lResults9 = ((lBtn9/lBtn6)*lConvbuffer)";
_lresults9 = ((_lbtn9/(double)_lbtn6)*_lconvbuffer);
 //BA.debugLineNum = 383;BA.debugLine="lResults10 = ((lBtn10/lBtn6)*lConvbuffer)";
_lresults10 = ((_lbtn10/(double)_lbtn6)*_lconvbuffer);
 //BA.debugLineNum = 384;BA.debugLine="lResults11 = ((lBtn11/lBtn6)*lConvbuffer)";
_lresults11 = ((_lbtn11/(double)_lbtn6)*_lconvbuffer);
 //BA.debugLineNum = 385;BA.debugLine="lResults12 = ((lBtn12/lBtn6)*lConvbuffer)";
_lresults12 = ((_lbtn12/(double)_lbtn6)*_lconvbuffer);
 //BA.debugLineNum = 386;BA.debugLine="lResults13 = ((lBtn13/lBtn6)*lConvbuffer)";
_lresults13 = ((_lbtn13/(double)_lbtn6)*_lconvbuffer);
 //BA.debugLineNum = 387;BA.debugLine="lResults14 = ((lBtn14/lBtn6)*lConvbuffer)";
_lresults14 = ((_lbtn14/(double)_lbtn6)*_lconvbuffer);
 //BA.debugLineNum = 388;BA.debugLine="lResults15 = ((lBtn15/lBtn6)*lConvbuffer)";
_lresults15 = ((_lbtn15/(double)_lbtn6)*_lconvbuffer);
 //BA.debugLineNum = 389;BA.debugLine="lResults16 = ((lBtn16/lBtn6)*lConvbuffer)";
_lresults16 = ((_lbtn16/(double)_lbtn6)*_lconvbuffer);
 };
 //BA.debugLineNum = 392;BA.debugLine="If spConversionMeasurements.SelectedIndex = 6 Then";
if (mostCurrent._spconversionmeasurements.getSelectedIndex()==(int)(6)) { 
 //BA.debugLineNum = 393;BA.debugLine="lResults1 = ((lBtn1/lBtn7)*lConvbuffer)";
_lresults1 = ((_lbtn1/(double)_lbtn7)*_lconvbuffer);
 //BA.debugLineNum = 394;BA.debugLine="lResults2 = ((lBtn2/lBtn7)*lConvbuffer)";
_lresults2 = ((_lbtn2/(double)_lbtn7)*_lconvbuffer);
 //BA.debugLineNum = 395;BA.debugLine="lResults3 = ((lBtn3/lBtn7)*lConvbuffer)";
_lresults3 = ((_lbtn3/(double)_lbtn7)*_lconvbuffer);
 //BA.debugLineNum = 396;BA.debugLine="lResults4 = ((lBtn4/lBtn7)*lConvbuffer)";
_lresults4 = ((_lbtn4/(double)_lbtn7)*_lconvbuffer);
 //BA.debugLineNum = 397;BA.debugLine="lResults5 = ((lBtn5/lBtn7)*lConvbuffer)";
_lresults5 = ((_lbtn5/(double)_lbtn7)*_lconvbuffer);
 //BA.debugLineNum = 398;BA.debugLine="lResults6 = ((lBtn6/lBtn7)*lConvbuffer)";
_lresults6 = ((_lbtn6/(double)_lbtn7)*_lconvbuffer);
 //BA.debugLineNum = 399;BA.debugLine="lResults7 = ((lBtn7/lBtn7)*lConvbuffer)";
_lresults7 = ((_lbtn7/(double)_lbtn7)*_lconvbuffer);
 //BA.debugLineNum = 400;BA.debugLine="lResults8 = ((lBtn8/lBtn7)*lConvbuffer)";
_lresults8 = ((_lbtn8/(double)_lbtn7)*_lconvbuffer);
 //BA.debugLineNum = 401;BA.debugLine="lResults9 = ((lBtn9/lBtn7)*lConvbuffer)";
_lresults9 = ((_lbtn9/(double)_lbtn7)*_lconvbuffer);
 //BA.debugLineNum = 402;BA.debugLine="lResults10 = ((lBtn10/lBtn7)*lConvbuffer)";
_lresults10 = ((_lbtn10/(double)_lbtn7)*_lconvbuffer);
 //BA.debugLineNum = 403;BA.debugLine="lResults11 = ((lBtn11/lBtn7)*lConvbuffer)";
_lresults11 = ((_lbtn11/(double)_lbtn7)*_lconvbuffer);
 //BA.debugLineNum = 404;BA.debugLine="lResults12 = ((lBtn12/lBtn7)*lConvbuffer)";
_lresults12 = ((_lbtn12/(double)_lbtn7)*_lconvbuffer);
 //BA.debugLineNum = 405;BA.debugLine="lResults13 = ((lBtn13/lBtn7)*lConvbuffer)";
_lresults13 = ((_lbtn13/(double)_lbtn7)*_lconvbuffer);
 //BA.debugLineNum = 406;BA.debugLine="lResults14 = ((lBtn14/lBtn7)*lConvbuffer)";
_lresults14 = ((_lbtn14/(double)_lbtn7)*_lconvbuffer);
 //BA.debugLineNum = 407;BA.debugLine="lResults15 = ((lBtn15/lBtn7)*lConvbuffer)";
_lresults15 = ((_lbtn15/(double)_lbtn7)*_lconvbuffer);
 //BA.debugLineNum = 408;BA.debugLine="lResults16 = ((lBtn16/lBtn7)*lConvbuffer)";
_lresults16 = ((_lbtn16/(double)_lbtn7)*_lconvbuffer);
 };
 //BA.debugLineNum = 411;BA.debugLine="If spConversionMeasurements.SelectedIndex = 7 Then";
if (mostCurrent._spconversionmeasurements.getSelectedIndex()==(int)(7)) { 
 //BA.debugLineNum = 412;BA.debugLine="lResults1 = ((lBtn1/lBtn8)*lConvbuffer)";
_lresults1 = ((_lbtn1/(double)_lbtn8)*_lconvbuffer);
 //BA.debugLineNum = 413;BA.debugLine="lResults2 = ((lBtn2/lBtn8)*lConvbuffer)";
_lresults2 = ((_lbtn2/(double)_lbtn8)*_lconvbuffer);
 //BA.debugLineNum = 414;BA.debugLine="lResults3 = ((lBtn3/lBtn8)*lConvbuffer)";
_lresults3 = ((_lbtn3/(double)_lbtn8)*_lconvbuffer);
 //BA.debugLineNum = 415;BA.debugLine="lResults4 = ((lBtn4/lBtn8)*lConvbuffer)";
_lresults4 = ((_lbtn4/(double)_lbtn8)*_lconvbuffer);
 //BA.debugLineNum = 416;BA.debugLine="lResults5 = ((lBtn5/lBtn8)*lConvbuffer)";
_lresults5 = ((_lbtn5/(double)_lbtn8)*_lconvbuffer);
 //BA.debugLineNum = 417;BA.debugLine="lResults6 = ((lBtn6/lBtn8)*lConvbuffer)";
_lresults6 = ((_lbtn6/(double)_lbtn8)*_lconvbuffer);
 //BA.debugLineNum = 418;BA.debugLine="lResults7 = ((lBtn7/lBtn8)*lConvbuffer)";
_lresults7 = ((_lbtn7/(double)_lbtn8)*_lconvbuffer);
 //BA.debugLineNum = 419;BA.debugLine="lResults8 = ((lBtn8/lBtn8)*lConvbuffer)";
_lresults8 = ((_lbtn8/(double)_lbtn8)*_lconvbuffer);
 //BA.debugLineNum = 420;BA.debugLine="lResults9 = ((lBtn9/lBtn8)*lConvbuffer)";
_lresults9 = ((_lbtn9/(double)_lbtn8)*_lconvbuffer);
 //BA.debugLineNum = 421;BA.debugLine="lResults10 = ((lBtn10/lBtn8)*lConvbuffer)";
_lresults10 = ((_lbtn10/(double)_lbtn8)*_lconvbuffer);
 //BA.debugLineNum = 422;BA.debugLine="lResults11 = ((lBtn11/lBtn8)*lConvbuffer)";
_lresults11 = ((_lbtn11/(double)_lbtn8)*_lconvbuffer);
 //BA.debugLineNum = 423;BA.debugLine="lResults12 = ((lBtn12/lBtn8)*lConvbuffer)";
_lresults12 = ((_lbtn12/(double)_lbtn8)*_lconvbuffer);
 //BA.debugLineNum = 424;BA.debugLine="lResults13 = ((lBtn13/lBtn8)*lConvbuffer)";
_lresults13 = ((_lbtn13/(double)_lbtn8)*_lconvbuffer);
 //BA.debugLineNum = 425;BA.debugLine="lResults14 = ((lBtn14/lBtn8)*lConvbuffer)";
_lresults14 = ((_lbtn14/(double)_lbtn8)*_lconvbuffer);
 //BA.debugLineNum = 426;BA.debugLine="lResults15 = ((lBtn15/lBtn8)*lConvbuffer)";
_lresults15 = ((_lbtn15/(double)_lbtn8)*_lconvbuffer);
 //BA.debugLineNum = 427;BA.debugLine="lResults16 = ((lBtn16/lBtn8)*lConvbuffer)";
_lresults16 = ((_lbtn16/(double)_lbtn8)*_lconvbuffer);
 };
 //BA.debugLineNum = 430;BA.debugLine="If spConversionMeasurements.SelectedIndex = 8 Then";
if (mostCurrent._spconversionmeasurements.getSelectedIndex()==(int)(8)) { 
 //BA.debugLineNum = 431;BA.debugLine="lResults1 = ((lBtn1/lBtn9)*lConvbuffer)";
_lresults1 = ((_lbtn1/(double)_lbtn9)*_lconvbuffer);
 //BA.debugLineNum = 432;BA.debugLine="lResults2 = ((lBtn2/lBtn9)*lConvbuffer)";
_lresults2 = ((_lbtn2/(double)_lbtn9)*_lconvbuffer);
 //BA.debugLineNum = 433;BA.debugLine="lResults3 = ((lBtn3/lBtn9)*lConvbuffer)";
_lresults3 = ((_lbtn3/(double)_lbtn9)*_lconvbuffer);
 //BA.debugLineNum = 434;BA.debugLine="lResults4 = ((lBtn4/lBtn9)*lConvbuffer)";
_lresults4 = ((_lbtn4/(double)_lbtn9)*_lconvbuffer);
 //BA.debugLineNum = 435;BA.debugLine="lResults5 = ((lBtn5/lBtn9)*lConvbuffer)";
_lresults5 = ((_lbtn5/(double)_lbtn9)*_lconvbuffer);
 //BA.debugLineNum = 436;BA.debugLine="lResults6 = ((lBtn6/lBtn9)*lConvbuffer)";
_lresults6 = ((_lbtn6/(double)_lbtn9)*_lconvbuffer);
 //BA.debugLineNum = 437;BA.debugLine="lResults7 = ((lBtn7/lBtn9)*lConvbuffer)";
_lresults7 = ((_lbtn7/(double)_lbtn9)*_lconvbuffer);
 //BA.debugLineNum = 438;BA.debugLine="lResults8 = ((lBtn8/lBtn9)*lConvbuffer)";
_lresults8 = ((_lbtn8/(double)_lbtn9)*_lconvbuffer);
 //BA.debugLineNum = 439;BA.debugLine="lResults9 = ((lBtn9/lBtn9)*lConvbuffer)";
_lresults9 = ((_lbtn9/(double)_lbtn9)*_lconvbuffer);
 //BA.debugLineNum = 440;BA.debugLine="lResults10 = ((lBtn10/lBtn9)*lConvbuffer)";
_lresults10 = ((_lbtn10/(double)_lbtn9)*_lconvbuffer);
 //BA.debugLineNum = 441;BA.debugLine="lResults11 = ((lBtn11/lBtn9)*lConvbuffer)";
_lresults11 = ((_lbtn11/(double)_lbtn9)*_lconvbuffer);
 //BA.debugLineNum = 442;BA.debugLine="lResults12 = ((lBtn12/lBtn9)*lConvbuffer)";
_lresults12 = ((_lbtn12/(double)_lbtn9)*_lconvbuffer);
 //BA.debugLineNum = 443;BA.debugLine="lResults13 = ((lBtn13/lBtn9)*lConvbuffer)";
_lresults13 = ((_lbtn13/(double)_lbtn9)*_lconvbuffer);
 //BA.debugLineNum = 444;BA.debugLine="lResults14 = ((lBtn14/lBtn9)*lConvbuffer)";
_lresults14 = ((_lbtn14/(double)_lbtn9)*_lconvbuffer);
 //BA.debugLineNum = 445;BA.debugLine="lResults15 = ((lBtn15/lBtn9)*lConvbuffer)";
_lresults15 = ((_lbtn15/(double)_lbtn9)*_lconvbuffer);
 //BA.debugLineNum = 446;BA.debugLine="lResults16 = ((lBtn16/lBtn9)*lConvbuffer)";
_lresults16 = ((_lbtn16/(double)_lbtn9)*_lconvbuffer);
 };
 //BA.debugLineNum = 449;BA.debugLine="If spConversionMeasurements.SelectedIndex = 9 Then";
if (mostCurrent._spconversionmeasurements.getSelectedIndex()==(int)(9)) { 
 //BA.debugLineNum = 450;BA.debugLine="lResults1 = ((lBtn1/lBtn10)*lConvbuffer)";
_lresults1 = ((_lbtn1/(double)_lbtn10)*_lconvbuffer);
 //BA.debugLineNum = 451;BA.debugLine="lResults2 = ((lBtn2/lBtn10)*lConvbuffer)";
_lresults2 = ((_lbtn2/(double)_lbtn10)*_lconvbuffer);
 //BA.debugLineNum = 452;BA.debugLine="lResults3 = ((lBtn3/lBtn10)*lConvbuffer)";
_lresults3 = ((_lbtn3/(double)_lbtn10)*_lconvbuffer);
 //BA.debugLineNum = 453;BA.debugLine="lResults4 = ((lBtn4/lBtn10)*lConvbuffer)";
_lresults4 = ((_lbtn4/(double)_lbtn10)*_lconvbuffer);
 //BA.debugLineNum = 454;BA.debugLine="lResults5 = ((lBtn5/lBtn10)*lConvbuffer)";
_lresults5 = ((_lbtn5/(double)_lbtn10)*_lconvbuffer);
 //BA.debugLineNum = 455;BA.debugLine="lResults6 = ((lBtn6/lBtn10)*lConvbuffer)";
_lresults6 = ((_lbtn6/(double)_lbtn10)*_lconvbuffer);
 //BA.debugLineNum = 456;BA.debugLine="lResults7 = ((lBtn7/lBtn10)*lConvbuffer)";
_lresults7 = ((_lbtn7/(double)_lbtn10)*_lconvbuffer);
 //BA.debugLineNum = 457;BA.debugLine="lResults8 = ((lBtn8/lBtn10)*lConvbuffer)";
_lresults8 = ((_lbtn8/(double)_lbtn10)*_lconvbuffer);
 //BA.debugLineNum = 458;BA.debugLine="lResults9 = ((lBtn9/lBtn10)*lConvbuffer)";
_lresults9 = ((_lbtn9/(double)_lbtn10)*_lconvbuffer);
 //BA.debugLineNum = 459;BA.debugLine="lResults10 = ((lBtn10/lBtn10)*lConvbuffer)";
_lresults10 = ((_lbtn10/(double)_lbtn10)*_lconvbuffer);
 //BA.debugLineNum = 460;BA.debugLine="lResults11 = ((lBtn11/lBtn10)*lConvbuffer)";
_lresults11 = ((_lbtn11/(double)_lbtn10)*_lconvbuffer);
 //BA.debugLineNum = 461;BA.debugLine="lResults12 = ((lBtn12/lBtn10)*lConvbuffer)";
_lresults12 = ((_lbtn12/(double)_lbtn10)*_lconvbuffer);
 //BA.debugLineNum = 462;BA.debugLine="lResults13 = ((lBtn13/lBtn10)*lConvbuffer)";
_lresults13 = ((_lbtn13/(double)_lbtn10)*_lconvbuffer);
 //BA.debugLineNum = 463;BA.debugLine="lResults14 = ((lBtn14/lBtn10)*lConvbuffer)";
_lresults14 = ((_lbtn14/(double)_lbtn10)*_lconvbuffer);
 //BA.debugLineNum = 464;BA.debugLine="lResults15 = ((lBtn15/lBtn10)*lConvbuffer)";
_lresults15 = ((_lbtn15/(double)_lbtn10)*_lconvbuffer);
 //BA.debugLineNum = 465;BA.debugLine="lResults16 = ((lBtn16/lBtn10)*lConvbuffer)";
_lresults16 = ((_lbtn16/(double)_lbtn10)*_lconvbuffer);
 };
 //BA.debugLineNum = 468;BA.debugLine="If spConversionMeasurements.SelectedIndex = 10 Then";
if (mostCurrent._spconversionmeasurements.getSelectedIndex()==(int)(10)) { 
 //BA.debugLineNum = 469;BA.debugLine="lResults1 = ((lBtn1/lBtn11)*lConvbuffer)";
_lresults1 = ((_lbtn1/(double)_lbtn11)*_lconvbuffer);
 //BA.debugLineNum = 470;BA.debugLine="lResults2 = ((lBtn2/lBtn11)*lConvbuffer)";
_lresults2 = ((_lbtn2/(double)_lbtn11)*_lconvbuffer);
 //BA.debugLineNum = 471;BA.debugLine="lResults3 = ((lBtn3/lBtn11)*lConvbuffer)";
_lresults3 = ((_lbtn3/(double)_lbtn11)*_lconvbuffer);
 //BA.debugLineNum = 472;BA.debugLine="lResults4 = ((lBtn4/lBtn11)*lConvbuffer)";
_lresults4 = ((_lbtn4/(double)_lbtn11)*_lconvbuffer);
 //BA.debugLineNum = 473;BA.debugLine="lResults5 = ((lBtn5/lBtn11)*lConvbuffer)";
_lresults5 = ((_lbtn5/(double)_lbtn11)*_lconvbuffer);
 //BA.debugLineNum = 474;BA.debugLine="lResults6 = ((lBtn6/lBtn11)*lConvbuffer)";
_lresults6 = ((_lbtn6/(double)_lbtn11)*_lconvbuffer);
 //BA.debugLineNum = 475;BA.debugLine="lResults7 = ((lBtn7/lBtn11)*lConvbuffer)";
_lresults7 = ((_lbtn7/(double)_lbtn11)*_lconvbuffer);
 //BA.debugLineNum = 476;BA.debugLine="lResults8 = ((lBtn8/lBtn11)*lConvbuffer)";
_lresults8 = ((_lbtn8/(double)_lbtn11)*_lconvbuffer);
 //BA.debugLineNum = 477;BA.debugLine="lResults9 = ((lBtn9/lBtn11)*lConvbuffer)";
_lresults9 = ((_lbtn9/(double)_lbtn11)*_lconvbuffer);
 //BA.debugLineNum = 478;BA.debugLine="lResults10 = ((lBtn10/lBtn11)*lConvbuffer)";
_lresults10 = ((_lbtn10/(double)_lbtn11)*_lconvbuffer);
 //BA.debugLineNum = 479;BA.debugLine="lResults11 = ((lBtn11/lBtn11)*lConvbuffer)";
_lresults11 = ((_lbtn11/(double)_lbtn11)*_lconvbuffer);
 //BA.debugLineNum = 480;BA.debugLine="lResults12 = ((lBtn12/lBtn11)*lConvbuffer)";
_lresults12 = ((_lbtn12/(double)_lbtn11)*_lconvbuffer);
 //BA.debugLineNum = 481;BA.debugLine="lResults13 = ((lBtn13/lBtn11)*lConvbuffer)";
_lresults13 = ((_lbtn13/(double)_lbtn11)*_lconvbuffer);
 //BA.debugLineNum = 482;BA.debugLine="lResults14 = ((lBtn14/lBtn11)*lConvbuffer)";
_lresults14 = ((_lbtn14/(double)_lbtn11)*_lconvbuffer);
 //BA.debugLineNum = 483;BA.debugLine="lResults15 = ((lBtn15/lBtn11)*lConvbuffer)";
_lresults15 = ((_lbtn15/(double)_lbtn11)*_lconvbuffer);
 //BA.debugLineNum = 484;BA.debugLine="lResults16 = ((lBtn16/lBtn11)*lConvbuffer)";
_lresults16 = ((_lbtn16/(double)_lbtn11)*_lconvbuffer);
 };
 //BA.debugLineNum = 487;BA.debugLine="If spConversionMeasurements.SelectedIndex = 11 Then";
if (mostCurrent._spconversionmeasurements.getSelectedIndex()==(int)(11)) { 
 //BA.debugLineNum = 488;BA.debugLine="lResults1 = ((lBtn1/lBtn12)*lConvbuffer)";
_lresults1 = ((_lbtn1/(double)_lbtn12)*_lconvbuffer);
 //BA.debugLineNum = 489;BA.debugLine="lResults2 = ((lBtn2/lBtn12)*lConvbuffer)";
_lresults2 = ((_lbtn2/(double)_lbtn12)*_lconvbuffer);
 //BA.debugLineNum = 490;BA.debugLine="lResults3 = ((lBtn3/lBtn12)*lConvbuffer)";
_lresults3 = ((_lbtn3/(double)_lbtn12)*_lconvbuffer);
 //BA.debugLineNum = 491;BA.debugLine="lResults4 = ((lBtn4/lBtn12)*lConvbuffer)";
_lresults4 = ((_lbtn4/(double)_lbtn12)*_lconvbuffer);
 //BA.debugLineNum = 492;BA.debugLine="lResults5 = ((lBtn5/lBtn12)*lConvbuffer)";
_lresults5 = ((_lbtn5/(double)_lbtn12)*_lconvbuffer);
 //BA.debugLineNum = 493;BA.debugLine="lResults6 = ((lBtn6/lBtn12)*lConvbuffer)";
_lresults6 = ((_lbtn6/(double)_lbtn12)*_lconvbuffer);
 //BA.debugLineNum = 494;BA.debugLine="lResults7 = ((lBtn7/lBtn12)*lConvbuffer)";
_lresults7 = ((_lbtn7/(double)_lbtn12)*_lconvbuffer);
 //BA.debugLineNum = 495;BA.debugLine="lResults8 = ((lBtn8/lBtn12)*lConvbuffer)";
_lresults8 = ((_lbtn8/(double)_lbtn12)*_lconvbuffer);
 //BA.debugLineNum = 496;BA.debugLine="lResults9 = ((lBtn9/lBtn12)*lConvbuffer)";
_lresults9 = ((_lbtn9/(double)_lbtn12)*_lconvbuffer);
 //BA.debugLineNum = 497;BA.debugLine="lResults10 = ((lBtn10/lBtn12)*lConvbuffer)";
_lresults10 = ((_lbtn10/(double)_lbtn12)*_lconvbuffer);
 //BA.debugLineNum = 498;BA.debugLine="lResults11 = ((lBtn11/lBtn12)*lConvbuffer)";
_lresults11 = ((_lbtn11/(double)_lbtn12)*_lconvbuffer);
 //BA.debugLineNum = 499;BA.debugLine="lResults12 = ((lBtn12/lBtn12)*lConvbuffer)";
_lresults12 = ((_lbtn12/(double)_lbtn12)*_lconvbuffer);
 //BA.debugLineNum = 500;BA.debugLine="lResults13 = ((lBtn13/lBtn12)*lConvbuffer)";
_lresults13 = ((_lbtn13/(double)_lbtn12)*_lconvbuffer);
 //BA.debugLineNum = 501;BA.debugLine="lResults14 = ((lBtn14/lBtn12)*lConvbuffer)";
_lresults14 = ((_lbtn14/(double)_lbtn12)*_lconvbuffer);
 //BA.debugLineNum = 502;BA.debugLine="lResults15 = ((lBtn15/lBtn12)*lConvbuffer)";
_lresults15 = ((_lbtn15/(double)_lbtn12)*_lconvbuffer);
 //BA.debugLineNum = 503;BA.debugLine="lResults16 = ((lBtn16/lBtn12)*lConvbuffer)";
_lresults16 = ((_lbtn16/(double)_lbtn12)*_lconvbuffer);
 };
 //BA.debugLineNum = 506;BA.debugLine="If spConversionMeasurements.SelectedIndex = 12 Then";
if (mostCurrent._spconversionmeasurements.getSelectedIndex()==(int)(12)) { 
 //BA.debugLineNum = 507;BA.debugLine="lResults1 = ((lBtn1/lBtn13)*lConvbuffer)";
_lresults1 = ((_lbtn1/(double)_lbtn13)*_lconvbuffer);
 //BA.debugLineNum = 508;BA.debugLine="lResults2 = ((lBtn2/lBtn13)*lConvbuffer)";
_lresults2 = ((_lbtn2/(double)_lbtn13)*_lconvbuffer);
 //BA.debugLineNum = 509;BA.debugLine="lResults3 = ((lBtn3/lBtn13)*lConvbuffer)";
_lresults3 = ((_lbtn3/(double)_lbtn13)*_lconvbuffer);
 //BA.debugLineNum = 510;BA.debugLine="lResults4 = ((lBtn4/lBtn13)*lConvbuffer)";
_lresults4 = ((_lbtn4/(double)_lbtn13)*_lconvbuffer);
 //BA.debugLineNum = 511;BA.debugLine="lResults5 = ((lBtn5/lBtn13)*lConvbuffer)";
_lresults5 = ((_lbtn5/(double)_lbtn13)*_lconvbuffer);
 //BA.debugLineNum = 512;BA.debugLine="lResults6 = ((lBtn6/lBtn13)*lConvbuffer)";
_lresults6 = ((_lbtn6/(double)_lbtn13)*_lconvbuffer);
 //BA.debugLineNum = 513;BA.debugLine="lResults7 = ((lBtn7/lBtn13)*lConvbuffer)";
_lresults7 = ((_lbtn7/(double)_lbtn13)*_lconvbuffer);
 //BA.debugLineNum = 514;BA.debugLine="lResults8 = ((lBtn8/lBtn13)*lConvbuffer)";
_lresults8 = ((_lbtn8/(double)_lbtn13)*_lconvbuffer);
 //BA.debugLineNum = 515;BA.debugLine="lResults9 = ((lBtn9/lBtn13)*lConvbuffer)";
_lresults9 = ((_lbtn9/(double)_lbtn13)*_lconvbuffer);
 //BA.debugLineNum = 516;BA.debugLine="lResults10 = ((lBtn10/lBtn13)*lConvbuffer)";
_lresults10 = ((_lbtn10/(double)_lbtn13)*_lconvbuffer);
 //BA.debugLineNum = 517;BA.debugLine="lResults11 = ((lBtn11/lBtn13)*lConvbuffer)";
_lresults11 = ((_lbtn11/(double)_lbtn13)*_lconvbuffer);
 //BA.debugLineNum = 518;BA.debugLine="lResults12 = ((lBtn12/lBtn13)*lConvbuffer)";
_lresults12 = ((_lbtn12/(double)_lbtn13)*_lconvbuffer);
 //BA.debugLineNum = 519;BA.debugLine="lResults13 = ((lBtn13/lBtn13)*lConvbuffer)";
_lresults13 = ((_lbtn13/(double)_lbtn13)*_lconvbuffer);
 //BA.debugLineNum = 520;BA.debugLine="lResults14 = ((lBtn14/lBtn13)*lConvbuffer)";
_lresults14 = ((_lbtn14/(double)_lbtn13)*_lconvbuffer);
 //BA.debugLineNum = 521;BA.debugLine="lResults15 = ((lBtn15/lBtn13)*lConvbuffer)";
_lresults15 = ((_lbtn15/(double)_lbtn13)*_lconvbuffer);
 //BA.debugLineNum = 522;BA.debugLine="lResults16 = ((lBtn16/lBtn13)*lConvbuffer)";
_lresults16 = ((_lbtn16/(double)_lbtn13)*_lconvbuffer);
 };
 //BA.debugLineNum = 525;BA.debugLine="If spConversionMeasurements.SelectedIndex = 13 Then";
if (mostCurrent._spconversionmeasurements.getSelectedIndex()==(int)(13)) { 
 //BA.debugLineNum = 526;BA.debugLine="lResults1 = ((lBtn1/lBtn14)*lConvbuffer)";
_lresults1 = ((_lbtn1/(double)_lbtn14)*_lconvbuffer);
 //BA.debugLineNum = 527;BA.debugLine="lResults2 = ((lBtn2/lBtn14)*lConvbuffer)";
_lresults2 = ((_lbtn2/(double)_lbtn14)*_lconvbuffer);
 //BA.debugLineNum = 528;BA.debugLine="lResults3 = ((lBtn3/lBtn14)*lConvbuffer)";
_lresults3 = ((_lbtn3/(double)_lbtn14)*_lconvbuffer);
 //BA.debugLineNum = 529;BA.debugLine="lResults4 = ((lBtn4/lBtn14)*lConvbuffer)";
_lresults4 = ((_lbtn4/(double)_lbtn14)*_lconvbuffer);
 //BA.debugLineNum = 530;BA.debugLine="lResults5 = ((lBtn5/lBtn14)*lConvbuffer)";
_lresults5 = ((_lbtn5/(double)_lbtn14)*_lconvbuffer);
 //BA.debugLineNum = 531;BA.debugLine="lResults6 = ((lBtn6/lBtn14)*lConvbuffer)";
_lresults6 = ((_lbtn6/(double)_lbtn14)*_lconvbuffer);
 //BA.debugLineNum = 532;BA.debugLine="lResults7 = ((lBtn7/lBtn14)*lConvbuffer)";
_lresults7 = ((_lbtn7/(double)_lbtn14)*_lconvbuffer);
 //BA.debugLineNum = 533;BA.debugLine="lResults8 = ((lBtn8/lBtn14)*lConvbuffer)";
_lresults8 = ((_lbtn8/(double)_lbtn14)*_lconvbuffer);
 //BA.debugLineNum = 534;BA.debugLine="lResults9 = ((lBtn9/lBtn14)*lConvbuffer)";
_lresults9 = ((_lbtn9/(double)_lbtn14)*_lconvbuffer);
 //BA.debugLineNum = 535;BA.debugLine="lResults10 = ((lBtn10/lBtn14)*lConvbuffer)";
_lresults10 = ((_lbtn10/(double)_lbtn14)*_lconvbuffer);
 //BA.debugLineNum = 536;BA.debugLine="lResults11 = ((lBtn11/lBtn14)*lConvbuffer)";
_lresults11 = ((_lbtn11/(double)_lbtn14)*_lconvbuffer);
 //BA.debugLineNum = 537;BA.debugLine="lResults12 = ((lBtn12/lBtn14)*lConvbuffer)";
_lresults12 = ((_lbtn12/(double)_lbtn14)*_lconvbuffer);
 //BA.debugLineNum = 538;BA.debugLine="lResults13 = ((lBtn13/lBtn14)*lConvbuffer)";
_lresults13 = ((_lbtn13/(double)_lbtn14)*_lconvbuffer);
 //BA.debugLineNum = 539;BA.debugLine="lResults14 = ((lBtn14/lBtn14)*lConvbuffer)";
_lresults14 = ((_lbtn14/(double)_lbtn14)*_lconvbuffer);
 //BA.debugLineNum = 540;BA.debugLine="lResults15 = ((lBtn15/lBtn14)*lConvbuffer)";
_lresults15 = ((_lbtn15/(double)_lbtn14)*_lconvbuffer);
 //BA.debugLineNum = 541;BA.debugLine="lResults16 = ((lBtn16/lBtn14)*lConvbuffer)";
_lresults16 = ((_lbtn16/(double)_lbtn14)*_lconvbuffer);
 };
 //BA.debugLineNum = 544;BA.debugLine="If spConversionMeasurements.SelectedIndex = 14 Then";
if (mostCurrent._spconversionmeasurements.getSelectedIndex()==(int)(14)) { 
 //BA.debugLineNum = 545;BA.debugLine="lResults1 = ((lBtn1/lBtn15)*lConvbuffer)";
_lresults1 = ((_lbtn1/(double)_lbtn15)*_lconvbuffer);
 //BA.debugLineNum = 546;BA.debugLine="lResults2 = ((lBtn2/lBtn15)*lConvbuffer)";
_lresults2 = ((_lbtn2/(double)_lbtn15)*_lconvbuffer);
 //BA.debugLineNum = 547;BA.debugLine="lResults3 = ((lBtn3/lBtn15)*lConvbuffer)";
_lresults3 = ((_lbtn3/(double)_lbtn15)*_lconvbuffer);
 //BA.debugLineNum = 548;BA.debugLine="lResults4 = ((lBtn4/lBtn15)*lConvbuffer)";
_lresults4 = ((_lbtn4/(double)_lbtn15)*_lconvbuffer);
 //BA.debugLineNum = 549;BA.debugLine="lResults5 = ((lBtn5/lBtn15)*lConvbuffer)";
_lresults5 = ((_lbtn5/(double)_lbtn15)*_lconvbuffer);
 //BA.debugLineNum = 550;BA.debugLine="lResults6 = ((lBtn6/lBtn15)*lConvbuffer)";
_lresults6 = ((_lbtn6/(double)_lbtn15)*_lconvbuffer);
 //BA.debugLineNum = 551;BA.debugLine="lResults7 = ((lBtn7/lBtn15)*lConvbuffer)";
_lresults7 = ((_lbtn7/(double)_lbtn15)*_lconvbuffer);
 //BA.debugLineNum = 552;BA.debugLine="lResults8 = ((lBtn8/lBtn15)*lConvbuffer)";
_lresults8 = ((_lbtn8/(double)_lbtn15)*_lconvbuffer);
 //BA.debugLineNum = 553;BA.debugLine="lResults9 = ((lBtn9/lBtn15)*lConvbuffer)";
_lresults9 = ((_lbtn9/(double)_lbtn15)*_lconvbuffer);
 //BA.debugLineNum = 554;BA.debugLine="lResults10 = ((lBtn10/lBtn15)*lConvbuffer)";
_lresults10 = ((_lbtn10/(double)_lbtn15)*_lconvbuffer);
 //BA.debugLineNum = 555;BA.debugLine="lResults11 = ((lBtn11/lBtn15)*lConvbuffer)";
_lresults11 = ((_lbtn11/(double)_lbtn15)*_lconvbuffer);
 //BA.debugLineNum = 556;BA.debugLine="lResults12 = ((lBtn12/lBtn15)*lConvbuffer)";
_lresults12 = ((_lbtn12/(double)_lbtn15)*_lconvbuffer);
 //BA.debugLineNum = 557;BA.debugLine="lResults13 = ((lBtn13/lBtn15)*lConvbuffer)";
_lresults13 = ((_lbtn13/(double)_lbtn15)*_lconvbuffer);
 //BA.debugLineNum = 558;BA.debugLine="lResults14 = ((lBtn14/lBtn15)*lConvbuffer)";
_lresults14 = ((_lbtn14/(double)_lbtn15)*_lconvbuffer);
 //BA.debugLineNum = 559;BA.debugLine="lResults15 = ((lBtn15/lBtn15)*lConvbuffer)";
_lresults15 = ((_lbtn15/(double)_lbtn15)*_lconvbuffer);
 //BA.debugLineNum = 560;BA.debugLine="lResults16 = ((lBtn16/lBtn15)*lConvbuffer)";
_lresults16 = ((_lbtn16/(double)_lbtn15)*_lconvbuffer);
 };
 //BA.debugLineNum = 563;BA.debugLine="If spConversionMeasurements.SelectedIndex = 15 Then";
if (mostCurrent._spconversionmeasurements.getSelectedIndex()==(int)(15)) { 
 //BA.debugLineNum = 564;BA.debugLine="lResults1 = ((lBtn1/lBtn16)*lConvbuffer)";
_lresults1 = ((_lbtn1/(double)_lbtn16)*_lconvbuffer);
 //BA.debugLineNum = 565;BA.debugLine="lResults2 = ((lBtn2/lBtn16)*lConvbuffer)";
_lresults2 = ((_lbtn2/(double)_lbtn16)*_lconvbuffer);
 //BA.debugLineNum = 566;BA.debugLine="lResults3 = ((lBtn3/lBtn16)*lConvbuffer)";
_lresults3 = ((_lbtn3/(double)_lbtn16)*_lconvbuffer);
 //BA.debugLineNum = 567;BA.debugLine="lResults4 = ((lBtn4/lBtn16)*lConvbuffer)";
_lresults4 = ((_lbtn4/(double)_lbtn16)*_lconvbuffer);
 //BA.debugLineNum = 568;BA.debugLine="lResults5 = ((lBtn5/lBtn16)*lConvbuffer)";
_lresults5 = ((_lbtn5/(double)_lbtn16)*_lconvbuffer);
 //BA.debugLineNum = 569;BA.debugLine="lResults6 = ((lBtn6/lBtn16)*lConvbuffer)";
_lresults6 = ((_lbtn6/(double)_lbtn16)*_lconvbuffer);
 //BA.debugLineNum = 570;BA.debugLine="lResults7 = ((lBtn7/lBtn16)*lConvbuffer)";
_lresults7 = ((_lbtn7/(double)_lbtn16)*_lconvbuffer);
 //BA.debugLineNum = 571;BA.debugLine="lResults8 = ((lBtn8/lBtn16)*lConvbuffer)";
_lresults8 = ((_lbtn8/(double)_lbtn16)*_lconvbuffer);
 //BA.debugLineNum = 572;BA.debugLine="lResults9 = ((lBtn9/lBtn16)*lConvbuffer)";
_lresults9 = ((_lbtn9/(double)_lbtn16)*_lconvbuffer);
 //BA.debugLineNum = 573;BA.debugLine="lResults10 = ((lBtn10/lBtn16)*lConvbuffer)";
_lresults10 = ((_lbtn10/(double)_lbtn16)*_lconvbuffer);
 //BA.debugLineNum = 574;BA.debugLine="lResults11 = ((lBtn11/lBtn16)*lConvbuffer)";
_lresults11 = ((_lbtn11/(double)_lbtn16)*_lconvbuffer);
 //BA.debugLineNum = 575;BA.debugLine="lResults12 = ((lBtn12/lBtn16)*lConvbuffer)";
_lresults12 = ((_lbtn12/(double)_lbtn16)*_lconvbuffer);
 //BA.debugLineNum = 576;BA.debugLine="lResults13 = ((lBtn13/lBtn16)*lConvbuffer)";
_lresults13 = ((_lbtn13/(double)_lbtn16)*_lconvbuffer);
 //BA.debugLineNum = 577;BA.debugLine="lResults14 = ((lBtn14/lBtn16)*lConvbuffer)";
_lresults14 = ((_lbtn14/(double)_lbtn16)*_lconvbuffer);
 //BA.debugLineNum = 578;BA.debugLine="lResults15 = ((lBtn15/lBtn16)*lConvbuffer)";
_lresults15 = ((_lbtn15/(double)_lbtn16)*_lconvbuffer);
 //BA.debugLineNum = 579;BA.debugLine="lResults16 = ((lBtn16/lBtn16)*lConvbuffer)";
_lresults16 = ((_lbtn16/(double)_lbtn16)*_lconvbuffer);
 };
 };
 //BA.debugLineNum = 583;BA.debugLine="Select Case spConversionUnits.SelectedItem";
switch (BA.switchObjectToInt(mostCurrent._spconversionunits.getSelectedItem(),"Length","Weight","Volume","Area","Angles","Speed","Energy","Flow")) {
case 0:
 //BA.debugLineNum = 585;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults1,0,2) & \" - inch\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults1,(int)(0),(int)(2))+" - inch");
 //BA.debugLineNum = 586;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults2,0,2) & \" - feet\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults2,(int)(0),(int)(2))+" - feet");
 //BA.debugLineNum = 587;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults3,0,2) & \" - yard\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults3,(int)(0),(int)(2))+" - yard");
 //BA.debugLineNum = 588;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults4,0,2) & \" - mile\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults4,(int)(0),(int)(2))+" - mile");
 //BA.debugLineNum = 589;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults5,0,2) & \" - millimeter\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults5,(int)(0),(int)(2))+" - millimeter");
 //BA.debugLineNum = 590;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults6,0,2) & \" - centimeter\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults6,(int)(0),(int)(2))+" - centimeter");
 //BA.debugLineNum = 591;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults7,0,2) & \" - meter\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults7,(int)(0),(int)(2))+" - meter");
 //BA.debugLineNum = 592;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults8,0,2) & \" - kilometer\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults8,(int)(0),(int)(2))+" - kilometer");
 //BA.debugLineNum = 593;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults9,0,2) & \" - League\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults9,(int)(0),(int)(2))+" - League");
 //BA.debugLineNum = 594;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults10,0,2) & \" - fathom\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults10,(int)(0),(int)(2))+" - fathom");
 //BA.debugLineNum = 595;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults11,0,2) & \" - rod\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults11,(int)(0),(int)(2))+" - rod");
 //BA.debugLineNum = 596;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults12,0,2) & \" - furlong\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults12,(int)(0),(int)(2))+" - furlong");
 //BA.debugLineNum = 597;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults13,0,2) & \" - hand\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults13,(int)(0),(int)(2))+" - hand");
 //BA.debugLineNum = 598;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults14,0,2) & \" - nautical mile\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults14,(int)(0),(int)(2))+" - nautical mile");
 //BA.debugLineNum = 599;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults15,0,2) & \" - pica\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults15,(int)(0),(int)(2))+" - pica");
 //BA.debugLineNum = 600;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults16,0,2) & \" - micro inch\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults16,(int)(0),(int)(2))+" - micro inch");
 //BA.debugLineNum = 601;BA.debugLine="Return";
if (true) return "";
 break;
case 1:
 //BA.debugLineNum = 603;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults1,0,2) & \" - lbs\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults1,(int)(0),(int)(2))+" - lbs");
 //BA.debugLineNum = 604;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults2,0,2) & \" - oz\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults2,(int)(0),(int)(2))+" - oz");
 //BA.debugLineNum = 605;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults3,0,2) & \" - gram\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults3,(int)(0),(int)(2))+" - gram");
 //BA.debugLineNum = 606;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults4,0,2) & \" - dram\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults4,(int)(0),(int)(2))+" - dram");
 //BA.debugLineNum = 607;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults5,0,2) & \" - centigram\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults5,(int)(0),(int)(2))+" - centigram");
 //BA.debugLineNum = 608;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults6,0,2) & \" - decigram\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults6,(int)(0),(int)(2))+" - decigram");
 //BA.debugLineNum = 609;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults7,0,2) & \" - dekagram\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults7,(int)(0),(int)(2))+" - dekagram");
 //BA.debugLineNum = 610;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults8,0,2) & \" - kilogram\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults8,(int)(0),(int)(2))+" - kilogram");
 //BA.debugLineNum = 611;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults9,0,2) & \" - megagram\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults9,(int)(0),(int)(2))+" - megagram");
 //BA.debugLineNum = 612;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults10,0,2) & \" - grain\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults10,(int)(0),(int)(2))+" - grain");
 //BA.debugLineNum = 613;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults11,0,2) & \" - metric ton\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults11,(int)(0),(int)(2))+" - metric ton");
 //BA.debugLineNum = 614;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults12,0,2) & \" - long ton\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults12,(int)(0),(int)(2))+" - long ton");
 //BA.debugLineNum = 615;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults13,0,2) & \" - short ton\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults13,(int)(0),(int)(2))+" - short ton");
 //BA.debugLineNum = 616;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults14,0,2) & \" - troy ounce\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults14,(int)(0),(int)(2))+" - troy ounce");
 //BA.debugLineNum = 617;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults15,0,2) & \" - troy pound\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults15,(int)(0),(int)(2))+" - troy pound");
 //BA.debugLineNum = 618;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults16,0,2) & \" - stone\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults16,(int)(0),(int)(2))+" - stone");
 //BA.debugLineNum = 619;BA.debugLine="Return";
if (true) return "";
 break;
case 2:
 //BA.debugLineNum = 621;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults1,0,2) & \"  - U.S. tsp\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults1,(int)(0),(int)(2))+"  - U.S. tsp");
 //BA.debugLineNum = 622;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults2,0,2) & \"  - U.k. tsp\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults2,(int)(0),(int)(2))+"  - U.k. tsp");
 //BA.debugLineNum = 623;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults3,0,2) & \"  - U.S. tbls\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults3,(int)(0),(int)(2))+"  - U.S. tbls");
 //BA.debugLineNum = 624;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults4,0,2) & \"  - U.K. tbls\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults4,(int)(0),(int)(2))+"  - U.K. tbls");
 //BA.debugLineNum = 625;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults5,0,2) & \"  - U.S. qt\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults5,(int)(0),(int)(2))+"  - U.S. qt");
 //BA.debugLineNum = 626;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults6,0,2) & \"  - U.K. qt\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults6,(int)(0),(int)(2))+"  - U.K. qt");
 //BA.debugLineNum = 627;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults7,0,2) & \"  - U.S. gal\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults7,(int)(0),(int)(2))+"  - U.S. gal");
 //BA.debugLineNum = 628;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults8,0,2) & \"  - U.K. gal\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults8,(int)(0),(int)(2))+"  - U.K. gal");
 //BA.debugLineNum = 629;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults9,0,2) & \"  - cubic mmeter\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults9,(int)(0),(int)(2))+"  - cubic mmeter");
 //BA.debugLineNum = 630;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults10,0,2) & \"  - cubic inch\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults10,(int)(0),(int)(2))+"  - cubic inch");
 //BA.debugLineNum = 631;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults11,0,2) & \"  - cubic foot\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults11,(int)(0),(int)(2))+"  - cubic foot");
 //BA.debugLineNum = 632;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults12,0,2) & \"  - cubic meter\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults12,(int)(0),(int)(2))+"  - cubic meter");
 //BA.debugLineNum = 633;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults13,0,2) & \"  - liter\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults13,(int)(0),(int)(2))+"  - liter");
 //BA.debugLineNum = 634;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults14,0,2) & \"  - cubic yard\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults14,(int)(0),(int)(2))+"  - cubic yard");
 //BA.debugLineNum = 635;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults15,0,2) & \"  - U.S. cup\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults15,(int)(0),(int)(2))+"  - U.S. cup");
 //BA.debugLineNum = 636;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults16,0,2) & \"  - metric cup\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults16,(int)(0),(int)(2))+"  - metric cup");
 //BA.debugLineNum = 637;BA.debugLine="Return";
if (true) return "";
 break;
case 3:
 //BA.debugLineNum = 639;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults1,0,2) & \"  - sq inch\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults1,(int)(0),(int)(2))+"  - sq inch");
 //BA.debugLineNum = 640;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults2,0,2) & \"  - sq feet\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults2,(int)(0),(int)(2))+"  - sq feet");
 //BA.debugLineNum = 641;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults3,0,2) & \"  - sq yard\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults3,(int)(0),(int)(2))+"  - sq yard");
 //BA.debugLineNum = 642;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults4,0,2) & \"  - sq mile\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults4,(int)(0),(int)(2))+"  - sq mile");
 //BA.debugLineNum = 643;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults5,0,2) & \"  - sq meter\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults5,(int)(0),(int)(2))+"  - sq meter");
 //BA.debugLineNum = 644;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults6,0,2) & \"  - sq centimeter\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults6,(int)(0),(int)(2))+"  - sq centimeter");
 //BA.debugLineNum = 645;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults7,0,2) & \"  - sq fathom\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults7,(int)(0),(int)(2))+"  - sq fathom");
 //BA.debugLineNum = 646;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults8,0,2) & \"  - acre\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults8,(int)(0),(int)(2))+"  - acre");
 //BA.debugLineNum = 647;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults9,0,2) & \"  - sq kilometer\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults9,(int)(0),(int)(2))+"  - sq kilometer");
 //BA.debugLineNum = 648;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults10,0,2) & \"  - sq cubit\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults10,(int)(0),(int)(2))+"  - sq cubit");
 //BA.debugLineNum = 649;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults11,0,2) & \"  - sq decimeter\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults11,(int)(0),(int)(2))+"  - sq decimeter");
 //BA.debugLineNum = 650;BA.debugLine="Return";
if (true) return "";
 break;
case 4:
 //BA.debugLineNum = 652;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults1,0,2) & \"  - circle\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults1,(int)(0),(int)(2))+"  - circle");
 //BA.debugLineNum = 653;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults2,0,2) & \"  - 1/8 circle\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults2,(int)(0),(int)(2))+"  - 1/8 circle");
 //BA.debugLineNum = 654;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults3,0,2) & \"  - 1/4 circle\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults3,(int)(0),(int)(2))+"  - 1/4 circle");
 //BA.debugLineNum = 655;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults4,0,2) & \"  - 1/2 circle\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults4,(int)(0),(int)(2))+"  - 1/2 circle");
 //BA.debugLineNum = 656;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults5,0,2) & \"  - point\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults5,(int)(0),(int)(2))+"  - point");
 //BA.debugLineNum = 657;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults6,0,2) & \"  - degree\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults6,(int)(0),(int)(2))+"  - degree");
 //BA.debugLineNum = 658;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults7,0,2) & \"  - second\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults7,(int)(0),(int)(2))+"  - second");
 //BA.debugLineNum = 659;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults8,0,2) & \"  - minute\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults8,(int)(0),(int)(2))+"  - minute");
 //BA.debugLineNum = 660;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults9,0,2) & \"  - mil\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults9,(int)(0),(int)(2))+"  - mil");
 //BA.debugLineNum = 661;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults10,0,2) & \"  - grad\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults10,(int)(0),(int)(2))+"  - grad");
 //BA.debugLineNum = 662;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults11,0,2) & \"  - degree\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults11,(int)(0),(int)(2))+"  - degree");
 //BA.debugLineNum = 663;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults12,0,2) & \"  - radian\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults12,(int)(0),(int)(2))+"  - radian");
 //BA.debugLineNum = 664;BA.debugLine="Return";
if (true) return "";
 break;
case 5:
 //BA.debugLineNum = 666;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults1,0,2) & \"  - miles/hr\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults1,(int)(0),(int)(2))+"  - miles/hr");
 //BA.debugLineNum = 667;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults2,0,2) & \"  - miles/min\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults2,(int)(0),(int)(2))+"  - miles/min");
 //BA.debugLineNum = 668;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults3,0,2) & \"  - miles/sec\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults3,(int)(0),(int)(2))+"  - miles/sec");
 //BA.debugLineNum = 669;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults4,0,2) & \"  - kilometer/hr\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults4,(int)(0),(int)(2))+"  - kilometer/hr");
 //BA.debugLineNum = 670;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults5,0,2) & \"  - kilometer/min\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults5,(int)(0),(int)(2))+"  - kilometer/min");
 //BA.debugLineNum = 671;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults6,0,2) & \"  - kilometer/sec\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults6,(int)(0),(int)(2))+"  - kilometer/sec");
 //BA.debugLineNum = 672;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults7,0,2) & \"  - meter/hr\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults7,(int)(0),(int)(2))+"  - meter/hr");
 //BA.debugLineNum = 673;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults8,0,2) & \"  - meter/min\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults8,(int)(0),(int)(2))+"  - meter/min");
 //BA.debugLineNum = 674;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults9,0,2) & \"  - meter/sec\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults9,(int)(0),(int)(2))+"  - meter/sec");
 //BA.debugLineNum = 675;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults10,0,2) & \"  - millimeter/hr\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults10,(int)(0),(int)(2))+"  - millimeter/hr");
 //BA.debugLineNum = 676;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults11,0,2) & \"  - millimeter/min\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults11,(int)(0),(int)(2))+"  - millimeter/min");
 //BA.debugLineNum = 677;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults12,0,2) & \"  - yard/hr\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults12,(int)(0),(int)(2))+"  - yard/hr");
 //BA.debugLineNum = 678;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults13,0,2) & \"  - yard/min\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults13,(int)(0),(int)(2))+"  - yard/min");
 //BA.debugLineNum = 679;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults14,0,2) & \"  - yard/sec\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults14,(int)(0),(int)(2))+"  - yard/sec");
 //BA.debugLineNum = 680;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults15,0,2) & \"  - knot\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults15,(int)(0),(int)(2))+"  - knot");
 //BA.debugLineNum = 681;BA.debugLine="Return";
if (true) return "";
 break;
case 6:
 //BA.debugLineNum = 683;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults1,0,2) & \"  - btu\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults1,(int)(0),(int)(2))+"  - btu");
 //BA.debugLineNum = 684;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults2,0,2) & \"  - therm\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults2,(int)(0),(int)(2))+"  - therm");
 //BA.debugLineNum = 685;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults3,0,2) & \"  - joule\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults3,(int)(0),(int)(2))+"  - joule");
 //BA.debugLineNum = 686;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults4,0,2) & \"  - kilowatt/hr\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults4,(int)(0),(int)(2))+"  - kilowatt/hr");
 //BA.debugLineNum = 687;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults5,0,2) & \"  - HP/hr\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults5,(int)(0),(int)(2))+"  - HP/hr");
 //BA.debugLineNum = 688;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults6,0,2) & \"  - megawatt/hr\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults6,(int)(0),(int)(2))+"  - megawatt/hr");
 //BA.debugLineNum = 689;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults7,0,2) & \"  - watt/hr\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults7,(int)(0),(int)(2))+"  - watt/hr");
 //BA.debugLineNum = 690;BA.debugLine="Return";
if (true) return "";
 break;
case 7:
 //BA.debugLineNum = 692;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults1,0,2) & \"  - gallons/day\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults1,(int)(0),(int)(2))+"  - gallons/day");
 //BA.debugLineNum = 693;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults2,0,2) & \"  - gallons/hr\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults2,(int)(0),(int)(2))+"  - gallons/hr");
 //BA.debugLineNum = 694;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults3,0,2) & \"  - gallons/min\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults3,(int)(0),(int)(2))+"  - gallons/min");
 //BA.debugLineNum = 695;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults4,0,2) & \"  - gallons/sec\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults4,(int)(0),(int)(2))+"  - gallons/sec");
 //BA.debugLineNum = 696;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults5,0,2) & \"  - cubic ft/day\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults5,(int)(0),(int)(2))+"  - cubic ft/day");
 //BA.debugLineNum = 697;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults6,0,2) & \"  - cubic ft/hr\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults6,(int)(0),(int)(2))+"  - cubic ft/hr");
 //BA.debugLineNum = 698;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults7,0,2) & \"  - cubic ft/min\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults7,(int)(0),(int)(2))+"  - cubic ft/min");
 //BA.debugLineNum = 699;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults8,0,2) & \"  - cubic ft/sec\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults8,(int)(0),(int)(2))+"  - cubic ft/sec");
 //BA.debugLineNum = 700;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults9,0,2) & \"  - barrels/day\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults9,(int)(0),(int)(2))+"  - barrels/day");
 //BA.debugLineNum = 701;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults10,0,2) & \"  - barrels/hr\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults10,(int)(0),(int)(2))+"  - barrels/hr");
 //BA.debugLineNum = 702;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults11,0,2) & \"  - barrels/min\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults11,(int)(0),(int)(2))+"  - barrels/min");
 //BA.debugLineNum = 703;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults12,0,2) & \"  - barrels/sec\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults12,(int)(0),(int)(2))+"  - barrels/sec");
 //BA.debugLineNum = 704;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults13,0,2) & \"  - cubic yd/hr\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults13,(int)(0),(int)(2))+"  - cubic yd/hr");
 //BA.debugLineNum = 705;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults14,0,2) & \"  - cubic yd/min\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults14,(int)(0),(int)(2))+"  - cubic yd/min");
 //BA.debugLineNum = 706;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults15,0,2) & \"  - liter/hr\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults15,(int)(0),(int)(2))+"  - liter/hr");
 //BA.debugLineNum = 707;BA.debugLine="lvConversionResults.AddSingleLine(NumberFormat(lResults16,0,2) & \"  - liter/min\")";
mostCurrent._lvconversionresults.AddSingleLine(anywheresoftware.b4a.keywords.Common.NumberFormat(_lresults16,(int)(0),(int)(2))+"  - liter/min");
 //BA.debugLineNum = 708;BA.debugLine="Return";
if (true) return "";
 break;
}
;
 //BA.debugLineNum = 710;BA.debugLine="End Sub";
return "";
}

public static void initializeProcessGlobals() {
    if (processGlobalsRun == false) {
	    processGlobalsRun = true;
		try {
                
		        main._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 8;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 11;BA.debugLine="Dim spConversionMeasurements As Spinner";
mostCurrent._spconversionmeasurements = new anywheresoftware.b4a.objects.SpinnerWrapper();
 //BA.debugLineNum = 12;BA.debugLine="Dim spconversionUnits As Spinner";
mostCurrent._spconversionunits = new anywheresoftware.b4a.objects.SpinnerWrapper();
 //BA.debugLineNum = 13;BA.debugLine="Dim txtConversionNumber As EditText";
mostCurrent._txtconversionnumber = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 15;BA.debugLine="Dim lBtn1,lBtn2,lBtn3,lBtn4,lBtn5,lBtn6 As Double";
_lbtn1 = 0;
_lbtn2 = 0;
_lbtn3 = 0;
_lbtn4 = 0;
_lbtn5 = 0;
_lbtn6 = 0;
 //BA.debugLineNum = 16;BA.debugLine="Dim lBtn7,lBtn8,lBtn9,lBtn10,lBtn11,lBtn12 As Double";
_lbtn7 = 0;
_lbtn8 = 0;
_lbtn9 = 0;
_lbtn10 = 0;
_lbtn11 = 0;
_lbtn12 = 0;
 //BA.debugLineNum = 17;BA.debugLine="Dim lBtn13,lBtn14,lBtn15,lBtn16,lConvbuffer As Double";
_lbtn13 = 0;
_lbtn14 = 0;
_lbtn15 = 0;
_lbtn16 = 0;
_lconvbuffer = 0;
 //BA.debugLineNum = 18;BA.debugLine="Dim layoutval As LayoutValues";
mostCurrent._layoutval = new anywheresoftware.b4a.keywords.LayoutValues();
 //BA.debugLineNum = 19;BA.debugLine="Dim btnConversionPlusMinus As Button";
mostCurrent._btnconversionplusminus = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 20;BA.debugLine="Dim lvConversionResults As ListView";
mostCurrent._lvconversionresults = new anywheresoftware.b4a.objects.ListViewWrapper();
 //BA.debugLineNum = 21;BA.debugLine="Dim lblconversion As Label";
mostCurrent._lblconversion = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 22;BA.debugLine="End Sub";
return "";
}
public static String  _load_lvconversionresults() throws Exception{
 //BA.debugLineNum = 85;BA.debugLine="Sub Load_lvConversionResults";
 //BA.debugLineNum = 86;BA.debugLine="lvConversionResults.Clear";
mostCurrent._lvconversionresults.Clear();
 //BA.debugLineNum = 87;BA.debugLine="Select Case spConversionUnits.SelectedItem";
switch (BA.switchObjectToInt(mostCurrent._spconversionunits.getSelectedItem(),"Length","Weight","Temperature","Volume","Area","Angles","Speed","Energy","Flow")) {
case 0:
 //BA.debugLineNum = 90;BA.debugLine="lvConversionResults.AddSingleLine(\" - inch\")";
mostCurrent._lvconversionresults.AddSingleLine(" - inch");
 //BA.debugLineNum = 91;BA.debugLine="lvConversionResults.AddSingleLine(\" - feet\")";
mostCurrent._lvconversionresults.AddSingleLine(" - feet");
 //BA.debugLineNum = 92;BA.debugLine="lvConversionResults.AddSingleLine(\" - yard\")";
mostCurrent._lvconversionresults.AddSingleLine(" - yard");
 //BA.debugLineNum = 93;BA.debugLine="lvConversionResults.AddSingleLine(\" - mile\")";
mostCurrent._lvconversionresults.AddSingleLine(" - mile");
 //BA.debugLineNum = 94;BA.debugLine="lvConversionResults.AddSingleLine(\" - millimeter\")";
mostCurrent._lvconversionresults.AddSingleLine(" - millimeter");
 //BA.debugLineNum = 95;BA.debugLine="lvConversionResults.AddSingleLine(\" - centimeter\")";
mostCurrent._lvconversionresults.AddSingleLine(" - centimeter");
 //BA.debugLineNum = 96;BA.debugLine="lvConversionResults.AddSingleLine(\" - meter\")";
mostCurrent._lvconversionresults.AddSingleLine(" - meter");
 //BA.debugLineNum = 97;BA.debugLine="lvConversionResults.AddSingleLine(\" - kilometer\")";
mostCurrent._lvconversionresults.AddSingleLine(" - kilometer");
 //BA.debugLineNum = 98;BA.debugLine="lvConversionResults.AddSingleLine(\" - League\")";
mostCurrent._lvconversionresults.AddSingleLine(" - League");
 //BA.debugLineNum = 99;BA.debugLine="lvConversionResults.AddSingleLine(\" - fathom\")";
mostCurrent._lvconversionresults.AddSingleLine(" - fathom");
 //BA.debugLineNum = 100;BA.debugLine="lvConversionResults.AddSingleLine(\" - rod\")";
mostCurrent._lvconversionresults.AddSingleLine(" - rod");
 //BA.debugLineNum = 101;BA.debugLine="lvConversionResults.AddSingleLine(\" - furlong\")";
mostCurrent._lvconversionresults.AddSingleLine(" - furlong");
 //BA.debugLineNum = 102;BA.debugLine="lvConversionResults.AddSingleLine(\" - hand\")";
mostCurrent._lvconversionresults.AddSingleLine(" - hand");
 //BA.debugLineNum = 103;BA.debugLine="lvConversionResults.AddSingleLine(\" - nautical mile\")";
mostCurrent._lvconversionresults.AddSingleLine(" - nautical mile");
 //BA.debugLineNum = 104;BA.debugLine="lvConversionResults.AddSingleLine(\" - pica\")";
mostCurrent._lvconversionresults.AddSingleLine(" - pica");
 //BA.debugLineNum = 105;BA.debugLine="lvConversionResults.AddSingleLine(\" - micro inch\")";
mostCurrent._lvconversionresults.AddSingleLine(" - micro inch");
 //BA.debugLineNum = 106;BA.debugLine="Return";
if (true) return "";
 break;
case 1:
 //BA.debugLineNum = 108;BA.debugLine="lvConversionResults.AddSingleLine(\" - lbs\")";
mostCurrent._lvconversionresults.AddSingleLine(" - lbs");
 //BA.debugLineNum = 109;BA.debugLine="lvConversionResults.AddSingleLine(\" - oz\")";
mostCurrent._lvconversionresults.AddSingleLine(" - oz");
 //BA.debugLineNum = 110;BA.debugLine="lvConversionResults.AddSingleLine(\" - gram\")";
mostCurrent._lvconversionresults.AddSingleLine(" - gram");
 //BA.debugLineNum = 111;BA.debugLine="lvConversionResults.AddSingleLine(\" - dram\")";
mostCurrent._lvconversionresults.AddSingleLine(" - dram");
 //BA.debugLineNum = 112;BA.debugLine="lvConversionResults.AddSingleLine(\" - centigram\")";
mostCurrent._lvconversionresults.AddSingleLine(" - centigram");
 //BA.debugLineNum = 113;BA.debugLine="lvConversionResults.AddSingleLine(\" - decigram\")";
mostCurrent._lvconversionresults.AddSingleLine(" - decigram");
 //BA.debugLineNum = 114;BA.debugLine="lvConversionResults.AddSingleLine(\" - dekagram\")";
mostCurrent._lvconversionresults.AddSingleLine(" - dekagram");
 //BA.debugLineNum = 115;BA.debugLine="lvConversionResults.AddSingleLine(\" - kilogram\")";
mostCurrent._lvconversionresults.AddSingleLine(" - kilogram");
 //BA.debugLineNum = 116;BA.debugLine="lvConversionResults.AddSingleLine(\" - megagram\")";
mostCurrent._lvconversionresults.AddSingleLine(" - megagram");
 //BA.debugLineNum = 117;BA.debugLine="lvConversionResults.AddSingleLine(\" - grain\")";
mostCurrent._lvconversionresults.AddSingleLine(" - grain");
 //BA.debugLineNum = 118;BA.debugLine="lvConversionResults.AddSingleLine(\" - metric ton\")";
mostCurrent._lvconversionresults.AddSingleLine(" - metric ton");
 //BA.debugLineNum = 119;BA.debugLine="lvConversionResults.AddSingleLine(\" - long ton\")";
mostCurrent._lvconversionresults.AddSingleLine(" - long ton");
 //BA.debugLineNum = 120;BA.debugLine="lvConversionResults.AddSingleLine(\" - short ton\")";
mostCurrent._lvconversionresults.AddSingleLine(" - short ton");
 //BA.debugLineNum = 121;BA.debugLine="lvConversionResults.AddSingleLine(\" - troy ounce\")";
mostCurrent._lvconversionresults.AddSingleLine(" - troy ounce");
 //BA.debugLineNum = 122;BA.debugLine="lvConversionResults.AddSingleLine(\" - troy pound\")";
mostCurrent._lvconversionresults.AddSingleLine(" - troy pound");
 //BA.debugLineNum = 123;BA.debugLine="lvConversionResults.AddSingleLine(\" - stone\")";
mostCurrent._lvconversionresults.AddSingleLine(" - stone");
 //BA.debugLineNum = 124;BA.debugLine="Return";
if (true) return "";
 break;
case 2:
 //BA.debugLineNum = 126;BA.debugLine="lvConversionResults.AddSingleLine(\" - fahrenheit\")";
mostCurrent._lvconversionresults.AddSingleLine(" - fahrenheit");
 //BA.debugLineNum = 127;BA.debugLine="lvConversionResults.AddSingleLine(\" - celsius\")";
mostCurrent._lvconversionresults.AddSingleLine(" - celsius");
 //BA.debugLineNum = 128;BA.debugLine="lvConversionResults.AddSingleLine(\" - Rankine\")";
mostCurrent._lvconversionresults.AddSingleLine(" - Rankine");
 //BA.debugLineNum = 129;BA.debugLine="lvConversionResults.AddSingleLine(\" - Reaumur\")";
mostCurrent._lvconversionresults.AddSingleLine(" - Reaumur");
 //BA.debugLineNum = 130;BA.debugLine="lvConversionResults.AddSingleLine(\" - kelvin\")";
mostCurrent._lvconversionresults.AddSingleLine(" - kelvin");
 //BA.debugLineNum = 131;BA.debugLine="Return";
if (true) return "";
 break;
case 3:
 //BA.debugLineNum = 133;BA.debugLine="lvConversionResults.AddSingleLine(\" - U.S. tsp\")";
mostCurrent._lvconversionresults.AddSingleLine(" - U.S. tsp");
 //BA.debugLineNum = 134;BA.debugLine="lvConversionResults.AddSingleLine(\" - U.k. tsp\")";
mostCurrent._lvconversionresults.AddSingleLine(" - U.k. tsp");
 //BA.debugLineNum = 135;BA.debugLine="lvConversionResults.AddSingleLine(\" - U.S. tbls\")";
mostCurrent._lvconversionresults.AddSingleLine(" - U.S. tbls");
 //BA.debugLineNum = 136;BA.debugLine="lvConversionResults.AddSingleLine(\" - U.K. tbls\")";
mostCurrent._lvconversionresults.AddSingleLine(" - U.K. tbls");
 //BA.debugLineNum = 137;BA.debugLine="lvConversionResults.AddSingleLine(\" - U.S. qt\")";
mostCurrent._lvconversionresults.AddSingleLine(" - U.S. qt");
 //BA.debugLineNum = 138;BA.debugLine="lvConversionResults.AddSingleLine(\" - U.K. qt\")";
mostCurrent._lvconversionresults.AddSingleLine(" - U.K. qt");
 //BA.debugLineNum = 139;BA.debugLine="lvConversionResults.AddSingleLine(\" - U.S. gal\")";
mostCurrent._lvconversionresults.AddSingleLine(" - U.S. gal");
 //BA.debugLineNum = 140;BA.debugLine="lvConversionResults.AddSingleLine(\" - U.K. gal\")";
mostCurrent._lvconversionresults.AddSingleLine(" - U.K. gal");
 //BA.debugLineNum = 141;BA.debugLine="lvConversionResults.AddSingleLine(\" - cubic mmeter\")";
mostCurrent._lvconversionresults.AddSingleLine(" - cubic mmeter");
 //BA.debugLineNum = 142;BA.debugLine="lvConversionResults.AddSingleLine(\" - cubic inch\")";
mostCurrent._lvconversionresults.AddSingleLine(" - cubic inch");
 //BA.debugLineNum = 143;BA.debugLine="lvConversionResults.AddSingleLine(\" - cubic foot\")";
mostCurrent._lvconversionresults.AddSingleLine(" - cubic foot");
 //BA.debugLineNum = 144;BA.debugLine="lvConversionResults.AddSingleLine(\" - cubic meter\")";
mostCurrent._lvconversionresults.AddSingleLine(" - cubic meter");
 //BA.debugLineNum = 145;BA.debugLine="lvConversionResults.AddSingleLine(\" - liter\")";
mostCurrent._lvconversionresults.AddSingleLine(" - liter");
 //BA.debugLineNum = 146;BA.debugLine="lvConversionResults.AddSingleLine(\" - cubic yard\")";
mostCurrent._lvconversionresults.AddSingleLine(" - cubic yard");
 //BA.debugLineNum = 147;BA.debugLine="lvConversionResults.AddSingleLine(\" - U.S. cup\")";
mostCurrent._lvconversionresults.AddSingleLine(" - U.S. cup");
 //BA.debugLineNum = 148;BA.debugLine="lvConversionResults.AddSingleLine(\" - metric cup\")";
mostCurrent._lvconversionresults.AddSingleLine(" - metric cup");
 //BA.debugLineNum = 149;BA.debugLine="Return";
if (true) return "";
 break;
case 4:
 //BA.debugLineNum = 151;BA.debugLine="lvConversionResults.AddSingleLine(\" - sq inch\")";
mostCurrent._lvconversionresults.AddSingleLine(" - sq inch");
 //BA.debugLineNum = 152;BA.debugLine="lvConversionResults.AddSingleLine(\" - sq feet\")";
mostCurrent._lvconversionresults.AddSingleLine(" - sq feet");
 //BA.debugLineNum = 153;BA.debugLine="lvConversionResults.AddSingleLine(\" - sq yard\")";
mostCurrent._lvconversionresults.AddSingleLine(" - sq yard");
 //BA.debugLineNum = 154;BA.debugLine="lvConversionResults.AddSingleLine(\" - sq mile\")";
mostCurrent._lvconversionresults.AddSingleLine(" - sq mile");
 //BA.debugLineNum = 155;BA.debugLine="lvConversionResults.AddSingleLine(\" - sq meter\")";
mostCurrent._lvconversionresults.AddSingleLine(" - sq meter");
 //BA.debugLineNum = 156;BA.debugLine="lvConversionResults.AddSingleLine(\" - sq centimeter\")";
mostCurrent._lvconversionresults.AddSingleLine(" - sq centimeter");
 //BA.debugLineNum = 157;BA.debugLine="lvConversionResults.AddSingleLine(\" - sq fathom\")";
mostCurrent._lvconversionresults.AddSingleLine(" - sq fathom");
 //BA.debugLineNum = 158;BA.debugLine="lvConversionResults.AddSingleLine(\" - acre\")";
mostCurrent._lvconversionresults.AddSingleLine(" - acre");
 //BA.debugLineNum = 159;BA.debugLine="lvConversionResults.AddSingleLine(\" - sq kilometer\")";
mostCurrent._lvconversionresults.AddSingleLine(" - sq kilometer");
 //BA.debugLineNum = 160;BA.debugLine="lvConversionResults.AddSingleLine(\" - sq cubit\")";
mostCurrent._lvconversionresults.AddSingleLine(" - sq cubit");
 //BA.debugLineNum = 161;BA.debugLine="lvConversionResults.AddSingleLine(\" - sq decimeter\")";
mostCurrent._lvconversionresults.AddSingleLine(" - sq decimeter");
 //BA.debugLineNum = 162;BA.debugLine="Return";
if (true) return "";
 break;
case 5:
 //BA.debugLineNum = 164;BA.debugLine="lvConversionResults.AddSingleLine(\" - circle\")";
mostCurrent._lvconversionresults.AddSingleLine(" - circle");
 //BA.debugLineNum = 165;BA.debugLine="lvConversionResults.AddSingleLine(\" - 1/8 circle\")";
mostCurrent._lvconversionresults.AddSingleLine(" - 1/8 circle");
 //BA.debugLineNum = 166;BA.debugLine="lvConversionResults.AddSingleLine(\" - 1/4 circle\")";
mostCurrent._lvconversionresults.AddSingleLine(" - 1/4 circle");
 //BA.debugLineNum = 167;BA.debugLine="lvConversionResults.AddSingleLine(\" - 1/2 circle\")";
mostCurrent._lvconversionresults.AddSingleLine(" - 1/2 circle");
 //BA.debugLineNum = 168;BA.debugLine="lvConversionResults.AddSingleLine(\" - point\")";
mostCurrent._lvconversionresults.AddSingleLine(" - point");
 //BA.debugLineNum = 169;BA.debugLine="lvConversionResults.AddSingleLine(\" - degree\")";
mostCurrent._lvconversionresults.AddSingleLine(" - degree");
 //BA.debugLineNum = 170;BA.debugLine="lvConversionResults.AddSingleLine(\" - second\")";
mostCurrent._lvconversionresults.AddSingleLine(" - second");
 //BA.debugLineNum = 171;BA.debugLine="lvConversionResults.AddSingleLine(\" - minute\")";
mostCurrent._lvconversionresults.AddSingleLine(" - minute");
 //BA.debugLineNum = 172;BA.debugLine="lvConversionResults.AddSingleLine(\" - mil\")";
mostCurrent._lvconversionresults.AddSingleLine(" - mil");
 //BA.debugLineNum = 173;BA.debugLine="lvConversionResults.AddSingleLine(\" - grad\")";
mostCurrent._lvconversionresults.AddSingleLine(" - grad");
 //BA.debugLineNum = 174;BA.debugLine="lvConversionResults.AddSingleLine(\" - degree\")";
mostCurrent._lvconversionresults.AddSingleLine(" - degree");
 //BA.debugLineNum = 175;BA.debugLine="lvConversionResults.AddSingleLine(\" - radian\")";
mostCurrent._lvconversionresults.AddSingleLine(" - radian");
 //BA.debugLineNum = 176;BA.debugLine="Return";
if (true) return "";
 break;
case 6:
 //BA.debugLineNum = 178;BA.debugLine="lvConversionResults.AddSingleLine(\" - miles/hr\")";
mostCurrent._lvconversionresults.AddSingleLine(" - miles/hr");
 //BA.debugLineNum = 179;BA.debugLine="lvConversionResults.AddSingleLine(\" - miles/min\")";
mostCurrent._lvconversionresults.AddSingleLine(" - miles/min");
 //BA.debugLineNum = 180;BA.debugLine="lvConversionResults.AddSingleLine(\" - miles/sec\")";
mostCurrent._lvconversionresults.AddSingleLine(" - miles/sec");
 //BA.debugLineNum = 181;BA.debugLine="lvConversionResults.AddSingleLine(\" - kilometer/hr\")";
mostCurrent._lvconversionresults.AddSingleLine(" - kilometer/hr");
 //BA.debugLineNum = 182;BA.debugLine="lvConversionResults.AddSingleLine(\" - kilometer/min\")";
mostCurrent._lvconversionresults.AddSingleLine(" - kilometer/min");
 //BA.debugLineNum = 183;BA.debugLine="lvConversionResults.AddSingleLine(\" - kilometer/sec\")";
mostCurrent._lvconversionresults.AddSingleLine(" - kilometer/sec");
 //BA.debugLineNum = 184;BA.debugLine="lvConversionResults.AddSingleLine(\" - meter/hr\")";
mostCurrent._lvconversionresults.AddSingleLine(" - meter/hr");
 //BA.debugLineNum = 185;BA.debugLine="lvConversionResults.AddSingleLine(\" - meter/min\")";
mostCurrent._lvconversionresults.AddSingleLine(" - meter/min");
 //BA.debugLineNum = 186;BA.debugLine="lvConversionResults.AddSingleLine(\" - meter/sec\")";
mostCurrent._lvconversionresults.AddSingleLine(" - meter/sec");
 //BA.debugLineNum = 187;BA.debugLine="lvConversionResults.AddSingleLine(\" - millimeter/hr\")";
mostCurrent._lvconversionresults.AddSingleLine(" - millimeter/hr");
 //BA.debugLineNum = 188;BA.debugLine="lvConversionResults.AddSingleLine(\" - millimeter/min\")";
mostCurrent._lvconversionresults.AddSingleLine(" - millimeter/min");
 //BA.debugLineNum = 189;BA.debugLine="lvConversionResults.AddSingleLine(\" - yard/hr\")";
mostCurrent._lvconversionresults.AddSingleLine(" - yard/hr");
 //BA.debugLineNum = 190;BA.debugLine="lvConversionResults.AddSingleLine(\" - yard/min\")";
mostCurrent._lvconversionresults.AddSingleLine(" - yard/min");
 //BA.debugLineNum = 191;BA.debugLine="lvConversionResults.AddSingleLine(\" - yard/sec\")";
mostCurrent._lvconversionresults.AddSingleLine(" - yard/sec");
 //BA.debugLineNum = 192;BA.debugLine="lvConversionResults.AddSingleLine(\" - knot\")";
mostCurrent._lvconversionresults.AddSingleLine(" - knot");
 //BA.debugLineNum = 193;BA.debugLine="Return";
if (true) return "";
 break;
case 7:
 //BA.debugLineNum = 195;BA.debugLine="lvConversionResults.AddSingleLine(\" - btu\")";
mostCurrent._lvconversionresults.AddSingleLine(" - btu");
 //BA.debugLineNum = 196;BA.debugLine="lvConversionResults.AddSingleLine(\" - therm\")";
mostCurrent._lvconversionresults.AddSingleLine(" - therm");
 //BA.debugLineNum = 197;BA.debugLine="lvConversionResults.AddSingleLine(\" - joule\")";
mostCurrent._lvconversionresults.AddSingleLine(" - joule");
 //BA.debugLineNum = 198;BA.debugLine="lvConversionResults.AddSingleLine(\" - kilowatt/hr\")";
mostCurrent._lvconversionresults.AddSingleLine(" - kilowatt/hr");
 //BA.debugLineNum = 199;BA.debugLine="lvConversionResults.AddSingleLine(\" - HP/hr\")";
mostCurrent._lvconversionresults.AddSingleLine(" - HP/hr");
 //BA.debugLineNum = 200;BA.debugLine="lvConversionResults.AddSingleLine(\" - megawatt/hr\")";
mostCurrent._lvconversionresults.AddSingleLine(" - megawatt/hr");
 //BA.debugLineNum = 201;BA.debugLine="lvConversionResults.AddSingleLine(\" - watt/hr\")";
mostCurrent._lvconversionresults.AddSingleLine(" - watt/hr");
 //BA.debugLineNum = 202;BA.debugLine="Return";
if (true) return "";
 break;
case 8:
 //BA.debugLineNum = 204;BA.debugLine="lvConversionResults.AddSingleLine(\" - gallons/day\")";
mostCurrent._lvconversionresults.AddSingleLine(" - gallons/day");
 //BA.debugLineNum = 205;BA.debugLine="lvConversionResults.AddSingleLine(\" - gallons/hr\")";
mostCurrent._lvconversionresults.AddSingleLine(" - gallons/hr");
 //BA.debugLineNum = 206;BA.debugLine="lvConversionResults.AddSingleLine(\" - gallons/min\")";
mostCurrent._lvconversionresults.AddSingleLine(" - gallons/min");
 //BA.debugLineNum = 207;BA.debugLine="lvConversionResults.AddSingleLine(\" - gallons/sec\")";
mostCurrent._lvconversionresults.AddSingleLine(" - gallons/sec");
 //BA.debugLineNum = 208;BA.debugLine="lvConversionResults.AddSingleLine(\" - cubic ft/day\")";
mostCurrent._lvconversionresults.AddSingleLine(" - cubic ft/day");
 //BA.debugLineNum = 209;BA.debugLine="lvConversionResults.AddSingleLine(\" - cubic ft/hr\")";
mostCurrent._lvconversionresults.AddSingleLine(" - cubic ft/hr");
 //BA.debugLineNum = 210;BA.debugLine="lvConversionResults.AddSingleLine(\" - cubic ft/min\")";
mostCurrent._lvconversionresults.AddSingleLine(" - cubic ft/min");
 //BA.debugLineNum = 211;BA.debugLine="lvConversionResults.AddSingleLine(\" - cubic ft/sec\")";
mostCurrent._lvconversionresults.AddSingleLine(" - cubic ft/sec");
 //BA.debugLineNum = 212;BA.debugLine="lvConversionResults.AddSingleLine(\" - barrels/day\")";
mostCurrent._lvconversionresults.AddSingleLine(" - barrels/day");
 //BA.debugLineNum = 213;BA.debugLine="lvConversionResults.AddSingleLine(\" - barrels/hr\")";
mostCurrent._lvconversionresults.AddSingleLine(" - barrels/hr");
 //BA.debugLineNum = 214;BA.debugLine="lvConversionResults.AddSingleLine(\" - barrels/min\")";
mostCurrent._lvconversionresults.AddSingleLine(" - barrels/min");
 //BA.debugLineNum = 215;BA.debugLine="lvConversionResults.AddSingleLine(\" - barrels/sec\")";
mostCurrent._lvconversionresults.AddSingleLine(" - barrels/sec");
 //BA.debugLineNum = 216;BA.debugLine="lvConversionResults.AddSingleLine(\" - cubic yd/hr\")";
mostCurrent._lvconversionresults.AddSingleLine(" - cubic yd/hr");
 //BA.debugLineNum = 217;BA.debugLine="lvConversionResults.AddSingleLine(\" - cubic yd/min\")";
mostCurrent._lvconversionresults.AddSingleLine(" - cubic yd/min");
 //BA.debugLineNum = 218;BA.debugLine="lvConversionResults.AddSingleLine(\" - liter/hr\")";
mostCurrent._lvconversionresults.AddSingleLine(" - liter/hr");
 //BA.debugLineNum = 219;BA.debugLine="lvConversionResults.AddSingleLine(\" - liter/min\")";
mostCurrent._lvconversionresults.AddSingleLine(" - liter/min");
 //BA.debugLineNum = 220;BA.debugLine="Return";
if (true) return "";
 break;
}
;
 //BA.debugLineNum = 223;BA.debugLine="End Sub";
return "";
}
public static String  _load_measurespinner() throws Exception{
 //BA.debugLineNum = 711;BA.debugLine="Sub load_MeasureSpinner";
 //BA.debugLineNum = 713;BA.debugLine="spConversionMeasurements.Clear";
mostCurrent._spconversionmeasurements.Clear();
 //BA.debugLineNum = 715;BA.debugLine="Select Case spconversionUnits.SelectedItem";
switch (BA.switchObjectToInt(mostCurrent._spconversionunits.getSelectedItem(),"Length","Weight","Temperature","Volume","Area","Angles","Speed","Energy","Flow")) {
case 0:
 //BA.debugLineNum = 718;BA.debugLine="spConversionMeasurements.Add(\"inch\")";
mostCurrent._spconversionmeasurements.Add("inch");
 //BA.debugLineNum = 719;BA.debugLine="spConversionMeasurements.Add(\"feet\")";
mostCurrent._spconversionmeasurements.Add("feet");
 //BA.debugLineNum = 720;BA.debugLine="spConversionMeasurements.Add(\"yard\")";
mostCurrent._spconversionmeasurements.Add("yard");
 //BA.debugLineNum = 721;BA.debugLine="spConversionMeasurements.Add(\"mile\")";
mostCurrent._spconversionmeasurements.Add("mile");
 //BA.debugLineNum = 722;BA.debugLine="spConversionMeasurements.Add(\"millimeter\")";
mostCurrent._spconversionmeasurements.Add("millimeter");
 //BA.debugLineNum = 723;BA.debugLine="spConversionMeasurements.Add(\"centimeter\")";
mostCurrent._spconversionmeasurements.Add("centimeter");
 //BA.debugLineNum = 724;BA.debugLine="spConversionMeasurements.Add(\"meter\")";
mostCurrent._spconversionmeasurements.Add("meter");
 //BA.debugLineNum = 725;BA.debugLine="spConversionMeasurements.Add(\"kilometer\")";
mostCurrent._spconversionmeasurements.Add("kilometer");
 //BA.debugLineNum = 726;BA.debugLine="spConversionMeasurements.Add(\"League\")";
mostCurrent._spconversionmeasurements.Add("League");
 //BA.debugLineNum = 727;BA.debugLine="spConversionMeasurements.Add(\"fathom\")";
mostCurrent._spconversionmeasurements.Add("fathom");
 //BA.debugLineNum = 728;BA.debugLine="spConversionMeasurements.Add(\"rod\")";
mostCurrent._spconversionmeasurements.Add("rod");
 //BA.debugLineNum = 729;BA.debugLine="spConversionMeasurements.Add(\"furlong\")";
mostCurrent._spconversionmeasurements.Add("furlong");
 //BA.debugLineNum = 730;BA.debugLine="spConversionMeasurements.Add(\"hand\")";
mostCurrent._spconversionmeasurements.Add("hand");
 //BA.debugLineNum = 731;BA.debugLine="spConversionMeasurements.Add(\"nautical mile\")";
mostCurrent._spconversionmeasurements.Add("nautical mile");
 //BA.debugLineNum = 732;BA.debugLine="spConversionMeasurements.Add(\"pica\")";
mostCurrent._spconversionmeasurements.Add("pica");
 //BA.debugLineNum = 733;BA.debugLine="spConversionMeasurements.Add(\"micro inch\")";
mostCurrent._spconversionmeasurements.Add("micro inch");
 //BA.debugLineNum = 735;BA.debugLine="lBtn1=39.3700787";
_lbtn1 = 39.3700787;
 //BA.debugLineNum = 736;BA.debugLine="lBtn2=3.280839895";
_lbtn2 = 3.280839895;
 //BA.debugLineNum = 737;BA.debugLine="lBtn3=1.0936133";
_lbtn3 = 1.0936133;
 //BA.debugLineNum = 738;BA.debugLine="lBtn4=0.000621371192";
_lbtn4 = 0.000621371192;
 //BA.debugLineNum = 739;BA.debugLine="lBtn5=1000";
_lbtn5 = 1000;
 //BA.debugLineNum = 740;BA.debugLine="lBtn6=100";
_lbtn6 = 100;
 //BA.debugLineNum = 741;BA.debugLine="lBtn7=1";
_lbtn7 = 1;
 //BA.debugLineNum = 742;BA.debugLine="lBtn8=.001";
_lbtn8 = .001;
 //BA.debugLineNum = 743;BA.debugLine="lBtn9=.00020712331461";
_lbtn9 = .00020712331461;
 //BA.debugLineNum = 744;BA.debugLine="lBtn10=.546806649";
_lbtn10 = .546806649;
 //BA.debugLineNum = 745;BA.debugLine="lBtn11=.198838782";
_lbtn11 = .198838782;
 //BA.debugLineNum = 746;BA.debugLine="lBtn12=.00497096954";
_lbtn12 = .00497096954;
 //BA.debugLineNum = 747;BA.debugLine="lBtn13=9.84251969";
_lbtn13 = 9.84251969;
 //BA.debugLineNum = 748;BA.debugLine="lBtn14=.000539956803";
_lbtn14 = .000539956803;
 //BA.debugLineNum = 749;BA.debugLine="lBtn15=236.220472";
_lbtn15 = 236.220472;
 //BA.debugLineNum = 750;BA.debugLine="lBtn16=39370078.74";
_lbtn16 = 39370078.74;
 //BA.debugLineNum = 752;BA.debugLine="btnConversionPlusMinus.Visible = False";
mostCurrent._btnconversionplusminus.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 753;BA.debugLine="Return";
if (true) return "";
 break;
case 1:
 //BA.debugLineNum = 755;BA.debugLine="spConversionMeasurements.Add(\"lbs\")";
mostCurrent._spconversionmeasurements.Add("lbs");
 //BA.debugLineNum = 756;BA.debugLine="spConversionMeasurements.Add(\"oz\")";
mostCurrent._spconversionmeasurements.Add("oz");
 //BA.debugLineNum = 757;BA.debugLine="spConversionMeasurements.Add(\"gram\")";
mostCurrent._spconversionmeasurements.Add("gram");
 //BA.debugLineNum = 758;BA.debugLine="spConversionMeasurements.Add(\"dram\")";
mostCurrent._spconversionmeasurements.Add("dram");
 //BA.debugLineNum = 759;BA.debugLine="spConversionMeasurements.Add(\"centigram\")";
mostCurrent._spconversionmeasurements.Add("centigram");
 //BA.debugLineNum = 760;BA.debugLine="spConversionMeasurements.Add(\"decigram\")";
mostCurrent._spconversionmeasurements.Add("decigram");
 //BA.debugLineNum = 761;BA.debugLine="spConversionMeasurements.Add(\"dekagram\")";
mostCurrent._spconversionmeasurements.Add("dekagram");
 //BA.debugLineNum = 762;BA.debugLine="spConversionMeasurements.Add(\"kilogram\")";
mostCurrent._spconversionmeasurements.Add("kilogram");
 //BA.debugLineNum = 763;BA.debugLine="spConversionMeasurements.Add(\"megagram\")";
mostCurrent._spconversionmeasurements.Add("megagram");
 //BA.debugLineNum = 764;BA.debugLine="spConversionMeasurements.Add(\"grain\")";
mostCurrent._spconversionmeasurements.Add("grain");
 //BA.debugLineNum = 765;BA.debugLine="spConversionMeasurements.Add(\"metric ton\")";
mostCurrent._spconversionmeasurements.Add("metric ton");
 //BA.debugLineNum = 766;BA.debugLine="spConversionMeasurements.Add(\"long ton\")";
mostCurrent._spconversionmeasurements.Add("long ton");
 //BA.debugLineNum = 767;BA.debugLine="spConversionMeasurements.Add(\"short ton\")";
mostCurrent._spconversionmeasurements.Add("short ton");
 //BA.debugLineNum = 768;BA.debugLine="spConversionMeasurements.Add(\"troy ounce\")";
mostCurrent._spconversionmeasurements.Add("troy ounce");
 //BA.debugLineNum = 769;BA.debugLine="spConversionMeasurements.Add(\"troy pound\")";
mostCurrent._spconversionmeasurements.Add("troy pound");
 //BA.debugLineNum = 770;BA.debugLine="spConversionMeasurements.Add(\"stone\")";
mostCurrent._spconversionmeasurements.Add("stone");
 //BA.debugLineNum = 772;BA.debugLine="lBtn1=2.20462262";
_lbtn1 = 2.20462262;
 //BA.debugLineNum = 773;BA.debugLine="lBtn2=35.2739619";
_lbtn2 = 35.2739619;
 //BA.debugLineNum = 774;BA.debugLine="lBtn3=1000";
_lbtn3 = 1000;
 //BA.debugLineNum = 775;BA.debugLine="lBtn4=564.383391";
_lbtn4 = 564.383391;
 //BA.debugLineNum = 776;BA.debugLine="lBtn5=100000";
_lbtn5 = 100000;
 //BA.debugLineNum = 777;BA.debugLine="lBtn6=10000";
_lbtn6 = 10000;
 //BA.debugLineNum = 778;BA.debugLine="lBtn7=100";
_lbtn7 = 100;
 //BA.debugLineNum = 779;BA.debugLine="lBtn8=1";
_lbtn8 = 1;
 //BA.debugLineNum = 780;BA.debugLine="lBtn9=.001";
_lbtn9 = .001;
 //BA.debugLineNum = 781;BA.debugLine="lBtn10=15432.358353";
_lbtn10 = 15432.358353;
 //BA.debugLineNum = 782;BA.debugLine="lBtn11=.001";
_lbtn11 = .001;
 //BA.debugLineNum = 783;BA.debugLine="lBtn12=.000984206528";
_lbtn12 = .000984206528;
 //BA.debugLineNum = 784;BA.debugLine="lBtn13=.00110231131";
_lbtn13 = .00110231131;
 //BA.debugLineNum = 785;BA.debugLine="lBtn14=32.1507466";
_lbtn14 = 32.1507466;
 //BA.debugLineNum = 786;BA.debugLine="lBtn15=2.6792288807";
_lbtn15 = 2.6792288807;
 //BA.debugLineNum = 787;BA.debugLine="lBtn16=.15747304442";
_lbtn16 = .15747304442;
 //BA.debugLineNum = 788;BA.debugLine="btnConversionPlusMinus.Visible = False";
mostCurrent._btnconversionplusminus.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 789;BA.debugLine="Return";
if (true) return "";
 break;
case 2:
 //BA.debugLineNum = 791;BA.debugLine="spConversionMeasurements.Add(\"fahrenheit\")";
mostCurrent._spconversionmeasurements.Add("fahrenheit");
 //BA.debugLineNum = 792;BA.debugLine="spConversionMeasurements.Add(\"celsius\")";
mostCurrent._spconversionmeasurements.Add("celsius");
 //BA.debugLineNum = 793;BA.debugLine="spConversionMeasurements.Add(\"Rankine\")";
mostCurrent._spconversionmeasurements.Add("Rankine");
 //BA.debugLineNum = 794;BA.debugLine="spConversionMeasurements.Add(\"Reaumur\")";
mostCurrent._spconversionmeasurements.Add("Reaumur");
 //BA.debugLineNum = 795;BA.debugLine="spConversionMeasurements.Add(\"kelvin\")";
mostCurrent._spconversionmeasurements.Add("kelvin");
 //BA.debugLineNum = 796;BA.debugLine="btnConversionPlusMinus.Visible = True";
mostCurrent._btnconversionplusminus.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 797;BA.debugLine="Return";
if (true) return "";
 break;
case 3:
 //BA.debugLineNum = 799;BA.debugLine="spConversionMeasurements.Add(\"U.S. tsp\")";
mostCurrent._spconversionmeasurements.Add("U.S. tsp");
 //BA.debugLineNum = 800;BA.debugLine="spConversionMeasurements.Add(\"U.k. tsp\")";
mostCurrent._spconversionmeasurements.Add("U.k. tsp");
 //BA.debugLineNum = 801;BA.debugLine="spConversionMeasurements.Add(\"U.S. tbls\")";
mostCurrent._spconversionmeasurements.Add("U.S. tbls");
 //BA.debugLineNum = 802;BA.debugLine="spConversionMeasurements.Add(\"U.K. tbls\")";
mostCurrent._spconversionmeasurements.Add("U.K. tbls");
 //BA.debugLineNum = 803;BA.debugLine="spConversionMeasurements.Add(\"U.S. qt\")";
mostCurrent._spconversionmeasurements.Add("U.S. qt");
 //BA.debugLineNum = 804;BA.debugLine="spConversionMeasurements.Add(\"U.K. qt\")";
mostCurrent._spconversionmeasurements.Add("U.K. qt");
 //BA.debugLineNum = 805;BA.debugLine="spConversionMeasurements.Add(\"U.S. gal\")";
mostCurrent._spconversionmeasurements.Add("U.S. gal");
 //BA.debugLineNum = 806;BA.debugLine="spConversionMeasurements.Add(\"U.K. gal\")";
mostCurrent._spconversionmeasurements.Add("U.K. gal");
 //BA.debugLineNum = 807;BA.debugLine="spConversionMeasurements.Add(\"cubic mmeter\")";
mostCurrent._spconversionmeasurements.Add("cubic mmeter");
 //BA.debugLineNum = 808;BA.debugLine="spConversionMeasurements.Add(\"cubic inch\")";
mostCurrent._spconversionmeasurements.Add("cubic inch");
 //BA.debugLineNum = 809;BA.debugLine="spConversionMeasurements.Add(\"cubic foot\")";
mostCurrent._spconversionmeasurements.Add("cubic foot");
 //BA.debugLineNum = 810;BA.debugLine="spConversionMeasurements.Add(\"cubic meter\")";
mostCurrent._spconversionmeasurements.Add("cubic meter");
 //BA.debugLineNum = 811;BA.debugLine="spConversionMeasurements.Add(\"liter\")";
mostCurrent._spconversionmeasurements.Add("liter");
 //BA.debugLineNum = 812;BA.debugLine="spConversionMeasurements.Add(\"cubic yard\")";
mostCurrent._spconversionmeasurements.Add("cubic yard");
 //BA.debugLineNum = 813;BA.debugLine="spConversionMeasurements.Add(\"U.S. cup\")";
mostCurrent._spconversionmeasurements.Add("U.S. cup");
 //BA.debugLineNum = 814;BA.debugLine="spConversionMeasurements.Add(\"metric cup\")";
mostCurrent._spconversionmeasurements.Add("metric cup");
 //BA.debugLineNum = 816;BA.debugLine="lBtn1=202.884136";
_lbtn1 = 202.884136;
 //BA.debugLineNum = 817;BA.debugLine="lBtn2=168.93637221";
_lbtn2 = 168.93637221;
 //BA.debugLineNum = 818;BA.debugLine="lBtn3=67.628045405";
_lbtn3 = 67.628045405;
 //BA.debugLineNum = 819;BA.debugLine="lBtn4=70.390159456";
_lbtn4 = 70.390159456;
 //BA.debugLineNum = 820;BA.debugLine="lBtn5=1.05668821";
_lbtn5 = 1.05668821;
 //BA.debugLineNum = 821;BA.debugLine="lBtn6=0.8798769932";
_lbtn6 = 0.8798769932;
 //BA.debugLineNum = 822;BA.debugLine="lBtn7=.264172052";
_lbtn7 = .264172052;
 //BA.debugLineNum = 823;BA.debugLine="lBtn8=.2199692483";
_lbtn8 = .2199692483;
 //BA.debugLineNum = 824;BA.debugLine="lBtn9=1000000";
_lbtn9 = 1000000;
 //BA.debugLineNum = 825;BA.debugLine="lBtn10=61.0237441";
_lbtn10 = 61.0237441;
 //BA.debugLineNum = 826;BA.debugLine="lBtn11=.0353146667";
_lbtn11 = .0353146667;
 //BA.debugLineNum = 827;BA.debugLine="lBtn12=.001";
_lbtn12 = .001;
 //BA.debugLineNum = 828;BA.debugLine="lBtn13=1";
_lbtn13 = 1;
 //BA.debugLineNum = 829;BA.debugLine="lBtn14=.00130795062";
_lbtn14 = .00130795062;
 //BA.debugLineNum = 830;BA.debugLine="lBtn15=4.22675284";
_lbtn15 = 4.22675284;
 //BA.debugLineNum = 831;BA.debugLine="lBtn16=4";
_lbtn16 = 4;
 //BA.debugLineNum = 832;BA.debugLine="btnConversionPlusMinus.Visible = False";
mostCurrent._btnconversionplusminus.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 833;BA.debugLine="Return";
if (true) return "";
 break;
case 4:
 //BA.debugLineNum = 835;BA.debugLine="spConversionMeasurements.Add(\"sq inch\")";
mostCurrent._spconversionmeasurements.Add("sq inch");
 //BA.debugLineNum = 836;BA.debugLine="spConversionMeasurements.Add(\"sq feet\")";
mostCurrent._spconversionmeasurements.Add("sq feet");
 //BA.debugLineNum = 837;BA.debugLine="spConversionMeasurements.Add(\"sq yard\")";
mostCurrent._spconversionmeasurements.Add("sq yard");
 //BA.debugLineNum = 838;BA.debugLine="spConversionMeasurements.Add(\"sq mile\")";
mostCurrent._spconversionmeasurements.Add("sq mile");
 //BA.debugLineNum = 839;BA.debugLine="spConversionMeasurements.Add(\"sq meter\")";
mostCurrent._spconversionmeasurements.Add("sq meter");
 //BA.debugLineNum = 840;BA.debugLine="spConversionMeasurements.Add(\"sq centimeter\")";
mostCurrent._spconversionmeasurements.Add("sq centimeter");
 //BA.debugLineNum = 841;BA.debugLine="spConversionMeasurements.Add(\"sq fathom\")";
mostCurrent._spconversionmeasurements.Add("sq fathom");
 //BA.debugLineNum = 842;BA.debugLine="spConversionMeasurements.Add(\"acre\")";
mostCurrent._spconversionmeasurements.Add("acre");
 //BA.debugLineNum = 843;BA.debugLine="spConversionMeasurements.Add(\"sq kilometer\")";
mostCurrent._spconversionmeasurements.Add("sq kilometer");
 //BA.debugLineNum = 844;BA.debugLine="spConversionMeasurements.Add(\"sq cubit\")";
mostCurrent._spconversionmeasurements.Add("sq cubit");
 //BA.debugLineNum = 845;BA.debugLine="spConversionMeasurements.Add(\"sq decimeter\")";
mostCurrent._spconversionmeasurements.Add("sq decimeter");
 //BA.debugLineNum = 847;BA.debugLine="lBtn1=1550.0031";
_lbtn1 = 1550.0031;
 //BA.debugLineNum = 848;BA.debugLine="lBtn2=10.7639104";
_lbtn2 = 10.7639104;
 //BA.debugLineNum = 849;BA.debugLine="lBtn3=1.19599005";
_lbtn3 = 1.19599005;
 //BA.debugLineNum = 850;BA.debugLine="lBtn4=.00000038610215854";
_lbtn4 = .00000038610215854;
 //BA.debugLineNum = 851;BA.debugLine="lBtn5=1";
_lbtn5 = 1;
 //BA.debugLineNum = 852;BA.debugLine="lBtn6=10000";
_lbtn6 = 10000;
 //BA.debugLineNum = 853;BA.debugLine="lBtn7=.298997512";
_lbtn7 = .298997512;
 //BA.debugLineNum = 854;BA.debugLine="lBtn8=.000247105381";
_lbtn8 = .000247105381;
 //BA.debugLineNum = 855;BA.debugLine="lBtn9=.000001";
_lbtn9 = .000001;
 //BA.debugLineNum = 856;BA.debugLine="lBtn10=4.7839601852";
_lbtn10 = 4.7839601852;
 //BA.debugLineNum = 857;BA.debugLine="lBtn11=100";
_lbtn11 = 100;
 //BA.debugLineNum = 858;BA.debugLine="btnConversionPlusMinus.Visible = False";
mostCurrent._btnconversionplusminus.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 859;BA.debugLine="Return";
if (true) return "";
 break;
case 5:
 //BA.debugLineNum = 861;BA.debugLine="spConversionMeasurements.Add(\"circle\")";
mostCurrent._spconversionmeasurements.Add("circle");
 //BA.debugLineNum = 862;BA.debugLine="spConversionMeasurements.Add(\"1/8 circle\")";
mostCurrent._spconversionmeasurements.Add("1/8 circle");
 //BA.debugLineNum = 863;BA.debugLine="spConversionMeasurements.Add(\"1/4 circle\")";
mostCurrent._spconversionmeasurements.Add("1/4 circle");
 //BA.debugLineNum = 864;BA.debugLine="spConversionMeasurements.Add(\"1/2 circle\")";
mostCurrent._spconversionmeasurements.Add("1/2 circle");
 //BA.debugLineNum = 865;BA.debugLine="spConversionMeasurements.Add(\"point\")";
mostCurrent._spconversionmeasurements.Add("point");
 //BA.debugLineNum = 866;BA.debugLine="spConversionMeasurements.Add(\"degree\")";
mostCurrent._spconversionmeasurements.Add("degree");
 //BA.debugLineNum = 867;BA.debugLine="spConversionMeasurements.Add(\"second\")";
mostCurrent._spconversionmeasurements.Add("second");
 //BA.debugLineNum = 868;BA.debugLine="spConversionMeasurements.Add(\"minute\")";
mostCurrent._spconversionmeasurements.Add("minute");
 //BA.debugLineNum = 869;BA.debugLine="spConversionMeasurements.Add(\"mil\")";
mostCurrent._spconversionmeasurements.Add("mil");
 //BA.debugLineNum = 870;BA.debugLine="spConversionMeasurements.Add(\"grad\")";
mostCurrent._spconversionmeasurements.Add("grad");
 //BA.debugLineNum = 871;BA.debugLine="spConversionMeasurements.Add(\"degree\")";
mostCurrent._spconversionmeasurements.Add("degree");
 //BA.debugLineNum = 872;BA.debugLine="spConversionMeasurements.Add(\"radian\")";
mostCurrent._spconversionmeasurements.Add("radian");
 //BA.debugLineNum = 874;BA.debugLine="lBtn1=.0027777777778";
_lbtn1 = .0027777777778;
 //BA.debugLineNum = 875;BA.debugLine="lBtn2=.022222222222";
_lbtn2 = .022222222222;
 //BA.debugLineNum = 876;BA.debugLine="lBtn3=.011111111111";
_lbtn3 = .011111111111;
 //BA.debugLineNum = 877;BA.debugLine="lBtn4=.005555555555";
_lbtn4 = .005555555555;
 //BA.debugLineNum = 878;BA.debugLine="lBtn5=.08888889";
_lbtn5 = .08888889;
 //BA.debugLineNum = 879;BA.debugLine="lBtn6=1";
_lbtn6 = 1;
 //BA.debugLineNum = 880;BA.debugLine="lBtn7=3600";
_lbtn7 = 3600;
 //BA.debugLineNum = 881;BA.debugLine="lBtn8=60";
_lbtn8 = 60;
 //BA.debugLineNum = 882;BA.debugLine="lBtn9=17.777777778";
_lbtn9 = 17.777777778;
 //BA.debugLineNum = 883;BA.debugLine="lBtn10=1.1111111111";
_lbtn10 = 1.1111111111;
 //BA.debugLineNum = 884;BA.debugLine="lBtn11=1";
_lbtn11 = 1;
 //BA.debugLineNum = 885;BA.debugLine="lBtn12=.01745329252";
_lbtn12 = .01745329252;
 //BA.debugLineNum = 886;BA.debugLine="btnConversionPlusMinus.Visible = False";
mostCurrent._btnconversionplusminus.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 887;BA.debugLine="Return";
if (true) return "";
 break;
case 6:
 //BA.debugLineNum = 889;BA.debugLine="spConversionMeasurements.Add(\"miles/hr\")";
mostCurrent._spconversionmeasurements.Add("miles/hr");
 //BA.debugLineNum = 890;BA.debugLine="spConversionMeasurements.Add(\"miles/min\")";
mostCurrent._spconversionmeasurements.Add("miles/min");
 //BA.debugLineNum = 891;BA.debugLine="spConversionMeasurements.Add(\"miles/sec\")";
mostCurrent._spconversionmeasurements.Add("miles/sec");
 //BA.debugLineNum = 892;BA.debugLine="spConversionMeasurements.Add(\"kilometer/hr\")";
mostCurrent._spconversionmeasurements.Add("kilometer/hr");
 //BA.debugLineNum = 893;BA.debugLine="spConversionMeasurements.Add(\"kilometer/min\")";
mostCurrent._spconversionmeasurements.Add("kilometer/min");
 //BA.debugLineNum = 894;BA.debugLine="spConversionMeasurements.Add(\"kilometer/sec\")";
mostCurrent._spconversionmeasurements.Add("kilometer/sec");
 //BA.debugLineNum = 895;BA.debugLine="spConversionMeasurements.Add(\"meter/hr\")";
mostCurrent._spconversionmeasurements.Add("meter/hr");
 //BA.debugLineNum = 896;BA.debugLine="spConversionMeasurements.Add(\"meter/min\")";
mostCurrent._spconversionmeasurements.Add("meter/min");
 //BA.debugLineNum = 897;BA.debugLine="spConversionMeasurements.Add(\"meter/sec\")";
mostCurrent._spconversionmeasurements.Add("meter/sec");
 //BA.debugLineNum = 898;BA.debugLine="spConversionMeasurements.Add(\"millimeter/hr\")";
mostCurrent._spconversionmeasurements.Add("millimeter/hr");
 //BA.debugLineNum = 899;BA.debugLine="spConversionMeasurements.Add(\"millimeter/min\")";
mostCurrent._spconversionmeasurements.Add("millimeter/min");
 //BA.debugLineNum = 900;BA.debugLine="spConversionMeasurements.Add(\"yard/hr\")";
mostCurrent._spconversionmeasurements.Add("yard/hr");
 //BA.debugLineNum = 901;BA.debugLine="spConversionMeasurements.Add(\"yard/min\")";
mostCurrent._spconversionmeasurements.Add("yard/min");
 //BA.debugLineNum = 902;BA.debugLine="spConversionMeasurements.Add(\"yard/sec\")";
mostCurrent._spconversionmeasurements.Add("yard/sec");
 //BA.debugLineNum = 903;BA.debugLine="spConversionMeasurements.Add(\"knot\")";
mostCurrent._spconversionmeasurements.Add("knot");
 //BA.debugLineNum = 905;BA.debugLine="lBtn1=2.23693629";
_lbtn1 = 2.23693629;
 //BA.debugLineNum = 906;BA.debugLine="lBtn2=.03728227154";
_lbtn2 = .03728227154;
 //BA.debugLineNum = 907;BA.debugLine="lBtn3=.000621371192";
_lbtn3 = .000621371192;
 //BA.debugLineNum = 908;BA.debugLine="lBtn4=3.6";
_lbtn4 = 3.6;
 //BA.debugLineNum = 909;BA.debugLine="lBtn5=.06";
_lbtn5 = .06;
 //BA.debugLineNum = 910;BA.debugLine="lBtn6=.001";
_lbtn6 = .001;
 //BA.debugLineNum = 911;BA.debugLine="lBtn7=3600";
_lbtn7 = 3600;
 //BA.debugLineNum = 912;BA.debugLine="lBtn8=60";
_lbtn8 = 60;
 //BA.debugLineNum = 913;BA.debugLine="lBtn9=1";
_lbtn9 = 1;
 //BA.debugLineNum = 914;BA.debugLine="lBtn10=3600000";
_lbtn10 = 3600000;
 //BA.debugLineNum = 915;BA.debugLine="lBtn11=60000";
_lbtn11 = 60000;
 //BA.debugLineNum = 916;BA.debugLine="lBtn12=3937.0079";
_lbtn12 = 3937.0079;
 //BA.debugLineNum = 917;BA.debugLine="lBtn13=65.6167979";
_lbtn13 = 65.6167979;
 //BA.debugLineNum = 918;BA.debugLine="lBtn14=1.0936133";
_lbtn14 = 1.0936133;
 //BA.debugLineNum = 919;BA.debugLine="lBtn15=1.9438445";
_lbtn15 = 1.9438445;
 //BA.debugLineNum = 920;BA.debugLine="btnConversionPlusMinus.Visible = False";
mostCurrent._btnconversionplusminus.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 921;BA.debugLine="Return";
if (true) return "";
 break;
case 7:
 //BA.debugLineNum = 923;BA.debugLine="spConversionMeasurements.Add(\"btu\")";
mostCurrent._spconversionmeasurements.Add("btu");
 //BA.debugLineNum = 924;BA.debugLine="spConversionMeasurements.Add(\"therm\")";
mostCurrent._spconversionmeasurements.Add("therm");
 //BA.debugLineNum = 925;BA.debugLine="spConversionMeasurements.Add(\"joule\")";
mostCurrent._spconversionmeasurements.Add("joule");
 //BA.debugLineNum = 926;BA.debugLine="spConversionMeasurements.Add(\"kilowatt/hr\")";
mostCurrent._spconversionmeasurements.Add("kilowatt/hr");
 //BA.debugLineNum = 927;BA.debugLine="spConversionMeasurements.Add(\"HP/hr\")";
mostCurrent._spconversionmeasurements.Add("HP/hr");
 //BA.debugLineNum = 928;BA.debugLine="spConversionMeasurements.Add(\"megawatt/hr\")";
mostCurrent._spconversionmeasurements.Add("megawatt/hr");
 //BA.debugLineNum = 929;BA.debugLine="spConversionMeasurements.Add(\"watt/hr\")";
mostCurrent._spconversionmeasurements.Add("watt/hr");
 //BA.debugLineNum = 931;BA.debugLine="lBtn1=.00094781712";
_lbtn1 = .00094781712;
 //BA.debugLineNum = 932;BA.debugLine="lBtn2=.0000000094804342797";
_lbtn2 = .0000000094804342797;
 //BA.debugLineNum = 933;BA.debugLine="lBtn3=1";
_lbtn3 = 1;
 //BA.debugLineNum = 934;BA.debugLine="lBtn4=.000000277777778";
_lbtn4 = .000000277777778;
 //BA.debugLineNum = 935;BA.debugLine="lBtn5=.000000372506136";
_lbtn5 = .000000372506136;
 //BA.debugLineNum = 936;BA.debugLine="lBtn6=.000000000277777778";
_lbtn6 = .000000000277777778;
 //BA.debugLineNum = 937;BA.debugLine="lBtn7=.000277777778";
_lbtn7 = .000277777778;
 //BA.debugLineNum = 938;BA.debugLine="btnConversionPlusMinus.Visible = False";
mostCurrent._btnconversionplusminus.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 939;BA.debugLine="Return";
if (true) return "";
 break;
case 8:
 //BA.debugLineNum = 941;BA.debugLine="spConversionMeasurements.Add(\"gallons/day\")";
mostCurrent._spconversionmeasurements.Add("gallons/day");
 //BA.debugLineNum = 942;BA.debugLine="spConversionMeasurements.Add(\"gallons/hr\")";
mostCurrent._spconversionmeasurements.Add("gallons/hr");
 //BA.debugLineNum = 943;BA.debugLine="spConversionMeasurements.Add(\"gallons/min\")";
mostCurrent._spconversionmeasurements.Add("gallons/min");
 //BA.debugLineNum = 944;BA.debugLine="spConversionMeasurements.Add(\"gallons/sec\")";
mostCurrent._spconversionmeasurements.Add("gallons/sec");
 //BA.debugLineNum = 945;BA.debugLine="spConversionMeasurements.Add(\"cubic ft/day\")";
mostCurrent._spconversionmeasurements.Add("cubic ft/day");
 //BA.debugLineNum = 946;BA.debugLine="spConversionMeasurements.Add(\"cubic ft/hr\")";
mostCurrent._spconversionmeasurements.Add("cubic ft/hr");
 //BA.debugLineNum = 947;BA.debugLine="spConversionMeasurements.Add(\"cubic ft/min\")";
mostCurrent._spconversionmeasurements.Add("cubic ft/min");
 //BA.debugLineNum = 948;BA.debugLine="spConversionMeasurements.Add(\"cubic ft/sec\")";
mostCurrent._spconversionmeasurements.Add("cubic ft/sec");
 //BA.debugLineNum = 949;BA.debugLine="spConversionMeasurements.Add(\"barrels/day\")";
mostCurrent._spconversionmeasurements.Add("barrels/day");
 //BA.debugLineNum = 950;BA.debugLine="spConversionMeasurements.Add(\"barrels/hr\")";
mostCurrent._spconversionmeasurements.Add("barrels/hr");
 //BA.debugLineNum = 951;BA.debugLine="spConversionMeasurements.Add(\"barrels/min\")";
mostCurrent._spconversionmeasurements.Add("barrels/min");
 //BA.debugLineNum = 952;BA.debugLine="spConversionMeasurements.Add(\"barrels/sec\")";
mostCurrent._spconversionmeasurements.Add("barrels/sec");
 //BA.debugLineNum = 953;BA.debugLine="spConversionMeasurements.Add(\"cubic yd/hr\")";
mostCurrent._spconversionmeasurements.Add("cubic yd/hr");
 //BA.debugLineNum = 954;BA.debugLine="spConversionMeasurements.Add(\"cubic yd/min\")";
mostCurrent._spconversionmeasurements.Add("cubic yd/min");
 //BA.debugLineNum = 955;BA.debugLine="spConversionMeasurements.Add(\"liter/hr\")";
mostCurrent._spconversionmeasurements.Add("liter/hr");
 //BA.debugLineNum = 956;BA.debugLine="spConversionMeasurements.Add(\"liter/min\")";
mostCurrent._spconversionmeasurements.Add("liter/min");
 //BA.debugLineNum = 958;BA.debugLine="lBtn1=6340.1292566";
_lbtn1 = 6340.1292566;
 //BA.debugLineNum = 959;BA.debugLine="lBtn2=264.172052358";
_lbtn2 = 264.172052358;
 //BA.debugLineNum = 960;BA.debugLine="lBtn3=4.4028675393";
_lbtn3 = 4.4028675393;
 //BA.debugLineNum = 961;BA.debugLine="lBtn4=.073381125655";
_lbtn4 = .073381125655;
 //BA.debugLineNum = 962;BA.debugLine="lBtn5=847.55198912";
_lbtn5 = 847.55198912;
 //BA.debugLineNum = 963;BA.debugLine="lBtn6=35.3146667198";
_lbtn6 = 35.3146667198;
 //BA.debugLineNum = 964;BA.debugLine="lBtn7=.588577778663";
_lbtn7 = .588577778663;
 //BA.debugLineNum = 965;BA.debugLine="lBtn8=.00980962964438";
_lbtn8 = .00980962964438;
 //BA.debugLineNum = 966;BA.debugLine="lBtn9=201.27394465";
_lbtn9 = 201.27394465;
 //BA.debugLineNum = 967;BA.debugLine="lBtn10=8.386414360";
_lbtn10 = 8.386414360;
 //BA.debugLineNum = 968;BA.debugLine="lBtn11=.13977357268";
_lbtn11 = .13977357268;
 //BA.debugLineNum = 969;BA.debugLine="lBtn12=.002329559544";
_lbtn12 = .002329559544;
 //BA.debugLineNum = 970;BA.debugLine="lBtn13=1.30795061925";
_lbtn13 = 1.30795061925;
 //BA.debugLineNum = 971;BA.debugLine="lBtn14=.0217991769875";
_lbtn14 = .0217991769875;
 //BA.debugLineNum = 972;BA.debugLine="lBtn15=1000";
_lbtn15 = 1000;
 //BA.debugLineNum = 973;BA.debugLine="lBtn16=16.6666666667";
_lbtn16 = 16.6666666667;
 //BA.debugLineNum = 974;BA.debugLine="btnConversionPlusMinus.Visible = False";
mostCurrent._btnconversionplusminus.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 975;BA.debugLine="Return";
if (true) return "";
 break;
}
;
 //BA.debugLineNum = 977;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 2;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 6;BA.debugLine="End Sub";
return "";
}
public static String  _spconversionmeasurements_itemclick(int _position,Object _value) throws Exception{
 //BA.debugLineNum = 52;BA.debugLine="Sub spConversionMeasurements_ItemClick (Position As Int, Value As Object)";
 //BA.debugLineNum = 53;BA.debugLine="Calc_Formulas";
_calc_formulas();
 //BA.debugLineNum = 54;BA.debugLine="End Sub";
return "";
}
public static String  _spconversionunits_itemclick(int _position,Object _value) throws Exception{
 //BA.debugLineNum = 43;BA.debugLine="Sub spconversionUnits_ItemClick (Position As Int, Value As Object)";
 //BA.debugLineNum = 44;BA.debugLine="load_MeasureSpinner";
_load_measurespinner();
 //BA.debugLineNum = 45;BA.debugLine="spConversionMeasurements.SelectedIndex = 0";
mostCurrent._spconversionmeasurements.setSelectedIndex((int)(0));
 //BA.debugLineNum = 46;BA.debugLine="Load_lvConversionResults";
_load_lvconversionresults();
 //BA.debugLineNum = 47;BA.debugLine="txtConversionnumber.Text = \"\"";
mostCurrent._txtconversionnumber.setText((Object)(""));
 //BA.debugLineNum = 48;BA.debugLine="End Sub";
return "";
}
public static String  _txtconversionnumber_textchanged(String _old,String _new) throws Exception{
 //BA.debugLineNum = 55;BA.debugLine="Sub txtConversionNumber_TextChanged (Old As String, New As String)";
 //BA.debugLineNum = 57;BA.debugLine="If txtConversionNumber.Text = \"\" Then";
if ((mostCurrent._txtconversionnumber.getText()).equals("")) { 
 //BA.debugLineNum = 58;BA.debugLine="Load_lvConversionResults";
_load_lvconversionresults();
 //BA.debugLineNum = 59;BA.debugLine="Return";
if (true) return "";
 };
 //BA.debugLineNum = 61;BA.debugLine="If txtConversionNumber.Text = \".\" Then";
if ((mostCurrent._txtconversionnumber.getText()).equals(".")) { 
 //BA.debugLineNum = 62;BA.debugLine="Load_lvConversionResults";
_load_lvconversionresults();
 //BA.debugLineNum = 63;BA.debugLine="Return";
if (true) return "";
 };
 //BA.debugLineNum = 65;BA.debugLine="Try";
try { //BA.debugLineNum = 66;BA.debugLine="lConvbuffer = txtConversionNumber.Text";
_lconvbuffer = (double)(Double.parseDouble(mostCurrent._txtconversionnumber.getText()));
 } 
       catch (Exception e) {
			processBA.setLastException(e); //BA.debugLineNum = 68;BA.debugLine="Msgbox(\"Invalid number.\",\"Value Error\")";
anywheresoftware.b4a.keywords.Common.Msgbox("Invalid number.","Value Error",mostCurrent.activityBA);
 //BA.debugLineNum = 69;BA.debugLine="Load_lvConversionResults";
_load_lvconversionresults();
 //BA.debugLineNum = 70;BA.debugLine="Return";
if (true) return "";
 };
 //BA.debugLineNum = 72;BA.debugLine="Calc_Formulas";
_calc_formulas();
 //BA.debugLineNum = 73;BA.debugLine="End Sub";
return "";
}
}
